<?php
/*
   TM Offline Stats v0.62a
   Copyright (c) 2006 Alexander Domnin

   This program is licenced under the Creative Commons Attribution-NonCommercial-NoDerivs 2.5
   To view a copy of this licence, visit http://creativecommons.org/licenses/by-nc-nd/2.5/

   This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
   without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
*/

function get_header($cfg) {
$header = <<<EOD
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
   <title>TM Offline Stats 0.62 [admin]</title>
   <link rel="stylesheet" type="text/css" href="./gfx/{$cfg['cssfile']}">
   <script language="JavaScript">
   <!--
   function check(check_flag) {
      var currform = document.forms.mainform;
      var elcount = currform.elements.length;
      var elname = "";
      var cbtype = "";
      for (var i = 0; i < elcount; i++) {
         elname = currform.elements[i].name;
         if (elname.substr(0, 1) == "t") {
            cbtype = elname.substr(1, 2);
            switch (check_flag) {
               case "achk" : currform.elements[i].checked = true; break;
               case "al" : if (cbtype == "al") currform.elements[i].checked = true; break;
               case "ba" : if (cbtype == "ba") currform.elements[i].checked = true; break;
               case "co" : if (cbtype == "co") currform.elements[i].checked = true; break;
               case "is" : if (cbtype == "is") currform.elements[i].checked = true; break;
               case "ra" : if (cbtype == "ra") currform.elements[i].checked = true; break;
               case "sp" : if (cbtype == "sp") currform.elements[i].checked = true; break;
               case "st" : if (cbtype == "st") currform.elements[i].checked = true; break;
               case "uchk" : currform.elements[i].checked = false; break;
            }
         }
      }
      return false;
   }
   //-->
   </script>
</head>
<body>\r\n
EOD;
   return $header;
}


function get_menu_header($it, $params) {
$form_menu = <<<EOD
   <table class="adminmenu" cols="2">
      <tr><td class="n" width="150" nowrap>
      <b>{$it['mnu_cfg']}</b><br>
      <a href="{$_SERVER['PHP_SELF']}?action=config">{$it['mnu_general']}</a><br>
      <a href="{$_SERVER['PHP_SELF']}?action=db">{$it['mnu_database']}</a><br>
      <a href="{$_SERVER['PHP_SELF']}?action=servers">{$it['mnu_regservers']}</a><br>
      <a href="{$_SERVER['PHP_SELF']}?action=check">{$it['mnu_check']}</a>
      <p><b>{$it['mnu_servers']}</b><br>\r\n
EOD;
   if ($params['count'] == 0)
$form_menu .= <<<EOD
      {$it['mnu_nullservers']}\r\n
EOD;
   else {
      for ($i = 0; $i < $params['count']; $i++)
$form_menu .= "      <a href=\"{$_SERVER['PHP_SELF']}?action=server&sid={$params[$i]['serverid']}\">".name_html($params[$i]['server'])."</a><br>\r\n";
   }
$form_menu .= <<<EOD
      </td>
      <td class="n">
      <form action="{$_SERVER['PHP_SELF']}" method="post" name="mainform">\r\n
EOD;
   return $form_menu;
}


function get_menu_footer() {
$form_menu = <<<EOD
      </form>
      </td>
      </tr>
   </table>\r\n
EOD;
   return $form_menu;
}


function get_footer($it) {
$footer = <<<EOD
   <div class="splitter">&nbsp;</div>
   <table class="links">
      <tr><td class="links">&copy; 2007 Alexander Domnin</td></tr>
      <tr><td class="links"><a href=http://tmos.pp.ru>www.tmos.pp.ru</a></td></tr>
   </table>
</body>
</html>
EOD;
   return $footer;
}


function get_form_authorize($it, $status) {
$form_authorize = <<<EOD
   <div class="splitter">&nbsp;</div>
   <center>
   <table cols="1" class="authorize">
      <form action="{$_SERVER['PHP_SELF']}" method="post" name="mainform">
      <tr><th class="tlr">{$it['az_authorize_header']}</th></tr>
      <tr><td class="l" ><input type="password" name="adminpass">&nbsp;<input type="submit" name="actionbtn" value="{$it['az_login_btn']}" class="btn"></td></tr>
      <tr><td class="blr" colspan="3"><span class="err">{$status['status_m']}</span>&nbsp;</td></tr>
      </form>
   </table>
   </center>\r\n
EOD;
   return $form_authorize;
}


function get_form_config($it, $params, $status) {
   // preformat
   $tmp = $params['interfacelanguage'];
   $params['interfacelanguage'] = "";
   foreach($params['langs'] as $key=>$curr_lang)
      $params['interfacelanguage'] .= "<option value=\"$curr_lang\"".($tmp == $curr_lang ? " selected" : "").">$curr_lang</option>";
   $tmp = $params['cssfile'];
   $params['cssfile'] = "";
   foreach($params['cssfiles'] as $key=>$curr_css)
      $params['cssfile'] .= "<option value=\"$curr_css\"".($tmp == $curr_css ? " selected" : "").">$curr_css</option>";
   $params['javascript'] ? $params['javascript'] = " checked" : $params['javascript'] = "";
   $tmp = $params['defaultstats'];
   $params['defaultstats'] = "<option value=\"a\"".($tmp == "a" ? " selected" : "").">{$it['gs_defaultstats_choice_1']}</option><option value=\"c\"".($tmp == "c" ? " selected" : "").">{$it['gs_defaultstats_choice_2']}</option>";
   $params['showoneserver'] ? $params['showoneserver'] = " checked" : $params['showoneserver'] = "";
   $params['showclans'] ? $params['showclans'] = " checked" : $params['showclans'] = "";
   $params['showuserbars'] ? $params['showuserbars'] = " checked" : $params['showuserbars'] = "";
   $tmp = $params['htmlcache'];
   $params['htmlcache'] = "<option value=\"main\"".($tmp == "main" ? " selected" : "").">{$it['gs_htmlcache_choice_1']}</option><option value=\"all\"".($tmp == "all" ? " selected" : "").">{$it['gs_htmlcache_choice_2']}</option><option value=\"no\"".($tmp == "no" ? " selected" : "").">{$it['gs_htmlcache_choice_3']}</option>";
   $params['gzipcompress'] ? $params['gzipcompress'] = " checked" : $params['gzipcompress'] = "";
   // spec
   $params['dbhost'] = htmlspecialchars($params['dbhost']);
   $params['dbname'] = htmlspecialchars($params['dbname']);
   $params['dblogin'] = htmlspecialchars($params['dblogin']);
   $params['dbpassword'] = htmlspecialchars($params['dbpassword']);
   $params['recperpage'] = htmlspecialchars($params['recperpage']);
   $params['servertimeout'] = htmlspecialchars($params['servertimeout']);
   $params['minscore'] = htmlspecialchars($params['minscore']);
   $params['timeperiod'] = htmlspecialchars($params['timeperiod']);
   $params['minclansize'] = htmlspecialchars($params['minclansize']);
   $params['amscore'] = htmlspecialchars($params['amscore']);
   $params['gmscore'] = htmlspecialchars($params['gmscore']);
   $params['smscore'] = htmlspecialchars($params['smscore']);
   $params['bmscore'] = htmlspecialchars($params['bmscore']);
   $params['finishscore'] = htmlspecialchars($params['finishscore']);
   $params['adminpass'] = htmlspecialchars($params['adminpass']);
   $params['ubfont'] = htmlspecialchars($params['ubfont']);
   $params['ubfontsizen'] = htmlspecialchars($params['ubfontsizen']);
   $params['ubfontsizeb'] = htmlspecialchars($params['ubfontsizeb']);
   // form
$form_config = <<<EOD
      <span class="hdr">&raquo; {$it['mnu_general']}</span>
      <div class="splitter">&nbsp;</div>
      <input type="hidden" name="action" value="config">
      <input type="hidden" name="step" value="2">
      <table cols="3" class="admindata">
         <tr><th class="tlr" colspan="3">{$it['gs_db_header']}</th></tr>
         <tr><td class="l" width="200">{$it['gs_dbhost']}</td><td width="150"><input type="text" name="dbhost" value="{$params['dbhost']}"></td><td class="r">{$it['gs_dbhost_desc']}</td></tr>
         <tr><td class="l">{$it['gs_dbtype']}</td><td><select name="dbtype"><option value="mysql" selected>{$params['dbtype']}</option></select></td><td class="r">{$it['gs_dbtype_desc']}</td></tr>
         <tr><td class="l">{$it['gs_dblogin']}</td><td><input type="text" name="dblogin" value="{$params['dblogin']}"></td><td class="r">{$it['gs_dblogin_desc']}</td></tr>
         <tr><td class="l">{$it['gs_dbpassword']}</td><td><input type="text" name="dbpassword" value="{$params['dbpassword']}"></td><td class="r">{$it['gs_dbpassword_desc']}</td></tr>
         <tr><td class="l">{$it['gs_dbname']}</td><td><input type="text" name="dbname" value="{$params['dbname']}"></td><td class="r">{$it['gs_dbname_desc']}</td></tr>
         <tr><td class="lr" colspan="3"><span class="err">{$status['status_1']}</span>&nbsp;</td></tr>
         <tr><th class="lr" colspan="3">{$it['gs_interface_header']}</th></tr>
         <tr><td class="l">{$it['gs_language']}</td><td><select name="interfacelanguage">{$params['interfacelanguage']}</select></td><td class="r">{$it['gs_language_desc']}</td></tr>
         <tr><td class="l">{$it['gs_colorscheme']}</td><td><select name="cssfile">{$params['cssfile']}</select></td><td class="r">{$it['gs_colorscheme_desc']}</td></tr>
         <tr><td class="l">{$it['gs_recperpage']}</td><td><input type="text" name="recperpage" value="{$params['recperpage']}"></td><td class="r">{$it['gs_recperpage_desc']}</td></tr>
         <tr><td class="l">{$it['gs_javascript']}</td><td><input type="checkbox" name="javascript" value="true"{$params['javascript']}></td><td class="r">{$it['gs_javascript_desc']}</td></tr>
         <tr><td class="l">{$it['gs_servertimeout']}</td><td><input type="text" name="servertimeout" value="{$params['servertimeout']}"></td><td class="r">{$it['gs_servertimeout_desc']}</td></tr>
         <tr><td class="l">{$it['gs_defaultstats']}</td><td><select name="defaultstats">{$params['defaultstats']}</select></td><td class="r">{$it['gs_defaultstats_desc']}</td></tr>
         <tr><td class="l">{$it['gs_showoneserver']}</td><td><input type="checkbox" name="showoneserver" value="false"{$params['showoneserver']}></td><td class="r">{$it['gs_showoneserver_desc']}</td></tr>
         <tr><td class="l">{$it['gs_showclans']}</td><td><input type="checkbox" name="showclans" value="true"{$params['showclans']}></td><td class="r">{$it['gs_showclans_desc']}</td></tr>
         <tr><td class="l">{$it['gs_showuserbars']}</td><td><input type="checkbox" name="showuserbars" value="true"{$params['showuserbars']}></td><td class="r">{$it['gs_showuserbars_desc']}</td></tr>
         <tr><td class="l">{$it['gs_playerminscore']}</td><td><input type="text" name="minscore" value="{$params['minscore']}"></td><td class="r">{$it['gs_playerminscore_desc']}</td></tr>
         <tr><td class="l">{$it['gs_htmlcache']}</td><td><select name="htmlcache">{$params['htmlcache']}</select></td><td class="r">{$it['gs_htmlcache_desc']}</td></tr>
         <tr><td class="l">{$it['gs_gzipcompress']}</td><td><input type="checkbox" name="gzipcompress" value="true"{$params['gzipcompress']}></td><td class="r">{$it['gs_gzipcompress_desc']}</td></tr>
         <tr><td class="lr" colspan="3"><span class="err">{$status['status_2']}</span>&nbsp;</td></tr>
         <tr><th class="lr" colspan="3">{$it['gs_parsing_header']}</th></tr>
         <tr><td class="l">{$it['gs_timeperiod']}</td><td><input type="text" name="timeperiod" value="{$params['timeperiod']}"></td><td class="r">{$it['gs_timeperiod_desc']}</td></tr>
         <tr><td class="l">{$it['gs_minclansize']}</td><td><input type="text" name="minclansize" value="{$params['minclansize']}"></td><td class="r">{$it['gs_minclansize_desc']}</td></tr>
         <tr><td class="l">{$it['gs_medalsscore']}</td><td>
            <input type="text" name="amscore" value="{$params['amscore']}" class="txtshort">
            <input type="text" name="gmscore" value="{$params['gmscore']}" class="txtshort">
            <input type="text" name="smscore" value="{$params['smscore']}" class="txtshort">
            <input type="text" name="bmscore" value="{$params['bmscore']}" class="txtshort">
            <input type="text" name="finishscore" value="{$params['finishscore']}" class="txtshort">
         </td><td class="r">{$it['gs_medalsscore_desc']}</td></tr>
         <tr><td class="lr" colspan="3"><span class="err">{$status['status_3']}</span>&nbsp;</td></tr>
         <tr><th class="lr" colspan="3">{$it['gs_userbars_header']}</th></tr>
         <tr><td class="l">{$it['gs_ubfont']}</td><td><input type="text" name="ubfont" value="{$params['ubfont']}"></td><td class="r">{$it['gs_ubfont_desc']}</td></tr>
         <tr><td class="l">{$it['gs_ubfontsizen']}</td><td><input type="text" name="ubfontsizen" value="{$params['ubfontsizen']}"></td><td class="r">{$it['gs_ubfontsizen_desc']}</td></tr>
         <tr><td class="l">{$it['gs_ubfontsizeb']}</td><td><input type="text" name="ubfontsizeb" value="{$params['ubfontsizeb']}"></td><td class="r">{$it['gs_ubfontsizeb_desc']}</td></tr>
         <tr><td class="lr" colspan="3"><span class="err">{$status['status_4']}</span>&nbsp;</td></tr>
         <tr><th class="lr" colspan="3">{$it['gs_admin_header']}</th></tr>
         <tr><td class="l">{$it['gs_adminpassword']}</td><td><input type="text" name="adminpass" value="{$params['adminpass']}"></td><td class="r">{$it['gs_adminpassword_desc']}</td></tr>
         <tr><td class="lr" colspan="3">&nbsp;</td></tr>
         <tr><th class="lr" colspan="3">{$it['gs_action_header']}</th></tr>
         <tr><td class="bl"><input type="submit" name="actionbtn" value="{$it['gs_savecfg_btn']}" class="btn"></td><td colspan="2" class="br">{$it['gs_savecfg_desc']}</td></tr>
      </table>\r\n
EOD;
   if ($status['status_m'] != "unknown") 
$form_config .= <<<EOD
      <div class="splitter">&nbsp;</div>
      <span class="status">{$status['status_m']}</span>\r\n
EOD;
   return $form_config;
}


function get_form_db($it, $params, $status) {
$form_db = <<<EOD
      <span class="hdr">&raquo; {$it['mnu_database']}</span>
      <div class="splitter">&nbsp;</div>
      <input type="hidden" name="action" value="db">
      <input type="hidden" name="step" value="2">
      <table cols="3" class="admindata">
         <tr><th class="tlr" colspan="3">{$it['db_status_header']}</th></tr>\r\n
EOD;
   if (!$params) {
$form_db .= <<<EOD
         <tr><td class="blr" colspan="3">{$status['status_1']}</td></tr>\r\n
EOD;
   }
   else {
      $table_state_text = array("-1" => $it['db_tableerr'], "1" => $it['db_tableok'], "0" => $it['db_tablenotfound']);
$form_db .= <<<EOD
         <tr><td class="lr" colspan="3">{$status['status_1']}</td></tr>
         <tr><th class="l" width="200">{$it['db_table_header']}</th><th>{$it['db_tablestate_header']}</th><th class="r">{$it['db_tablerecords_header']}</th></tr>
EOD;
      foreach ($params['tables'] as $curr_table=>$table_state) {
$form_db .= <<<EOD
         <tr><td class="l">$curr_table</td><td>{$table_state_text[$table_state['status']]}</td><td class="r">{$table_state['record_count']}</td></tr>
EOD;
      }
$form_db .= <<<EOD
         <tr><td class="lr" colspan="3">&nbsp;</td></tr>
         <tr><th class="lr" colspan="3">{$it['db_action_header']}</th></tr>\r\n
EOD;
   if ($params['update']) 
$form_db .= <<<EOD
         <tr><td class="l"><input type="submit" name="actionbtn" value="{$it['db_updatedb_btn']}" class="btn"></td><td colspan="2" class="r">{$it['db_updatedb_desc']}</td></tr>\r\n
EOD;
$form_db .= <<<EOD
         <tr><td class="l"><input type="submit" name="actionbtn" value="{$it['db_createtables_btn']}" class="btn"></td><td colspan="2" class="r">{$it['db_createtables_desc']}</td></tr>
         <tr><td class="l"><input type="submit" name="actionbtn" value="{$it['db_droptables_btn']}" class="btn"></td><td colspan="2" class="r">{$it['db_droptables_desc']}</td></tr>
         <tr><td class="l"><input type="submit" name="actionbtn" value="{$it['db_resetdb_btn']}" class="btn"></td><td colspan="2" class="r">{$it['db_resetdb_desc']}</td></tr>
         <tr><td class="bl"><input type="submit" name="actionbtn" value="{$it['db_cleardb_btn']}" class="btn"></td><td colspan="2" class="br">{$it['db_cleardb_desc']}</td></tr>\r\n
EOD;
   }
$form_db .= <<<EOD
      </table>\r\n
EOD;
   if ($status['status_m'] != "unknown") 
$form_db .= <<<EOD
      <div class="splitter">&nbsp;</div>
      <span class="status">{$status['status_m']}</span>\r\n
EOD;
   return $form_db;
}


function get_form_db_update($it, $params, $status) {

   $inf_text = str_replace("{0}", $params['ver_curr'], $it['db_updateinfo_text']);
   $inf_text = str_replace("{1}", $params['ver_last'], $inf_text);
$form_db_update = <<<EOD
      <span class="hdr">&raquo; {$it['mnu_database']} &raquo; {$it['mnu_databaseupdate']}</span>
      <div class="splitter">&nbsp;</div>
      <input type="hidden" name="action" value="db_update">
      <input type="hidden" name="step" value="3">
      <table cols="3" class="admindata">
         <tr><th colspan="3">{$it['db_updateinfo_header']}</th></tr>
         <tr><td class="lr" colspan="3">$inf_text</td></tr>
         <tr><td class="lr" colspan="3">\r\n
EOD;
   if ($params['support']) {
$form_db_update .= <<<EOD
         &nbsp;</td></tr>
         <tr><th colspan="3">{$it['db_updateoptions_header']}</th></tr>
         <tr><td class="l" width="200">{$it['db_tracksdirs']}</td><td width="150"><input type="text" name="tracks" value="E:\\games\\TrackMania United\\GameData\\Tracks\\"></td><td class="r">{$it['db_tracksdirs_desc']}</td></tr>
         <tr><td class="lr" colspan="3">\r\n
EOD;
   }
   else {
$form_db_update .= <<<EOD
         <span class="err">{$it['db_updatenotsupport_err']}</span>\r\n
EOD;
   }
   if ($status['status_1'] != "") {
$form_db_update .= <<<EOD
         <span class="err">{$it['db_tracks_err']}</span>\r\n
EOD;
      foreach ($params['tr_db'] as $filename=>$inf) {
$form_db_update .= <<<EOD
* $filename<br>\r\n
EOD;
      }
   }
$form_db_update .= <<<EOD
         &nbsp;</td></tr>
         <tr><th class="lr" colspan="3">{$it['srv_action_header']}</th></tr>\r\n
EOD;
   if ($status['status_1'] != "") {
$form_db_update .= <<<EOD
         <tr><td class="l"><input type="checkbox" name="ignoreerrors" value="true"></td><td class="r" colspan="2">{$it['db_ignoreerrors_desc']}</td></tr>\r\n
EOD;
   }
   if ($params['support']) {
$form_db_update .= <<<EOD
         <tr><td class="l"><input type="submit" name="actionbtn" value="{$it['db_updatedb_btn']}" class="btn"></td><td class="r" colspan="2">{$it['db_updatedb_desc']}</td></tr>\r\n
EOD;
   }
$form_db_update .= <<<EOD
         <tr><td class="bl"><input type="submit" name="actionbtn" value="{$it['db_cancel_btn']}" class="btn"></td><td colspan="2" class="br">{$it['db_cancel_desc']}</td></tr>
      </table>\r\n
EOD;
   return $form_db_update;
}

function get_form_servers($it, $params, $status) {
$form_servers = <<<EOD
      <span class="hdr">&raquo; {$it['mnu_regservers']}</span>
      <div class="splitter">&nbsp;</div>
      <input type="hidden" name="action" value="servers">
      <input type="hidden" name="step" value="2">
      <table cols="4" class="admindata">
         <tr><th class="tlr" colspan="4">{$it['srv_status_header']}</th></tr>\r\n
EOD;
   if (!$params) {
$form_servers .= <<<EOD
         <tr><td class="blr" colspan="4">{$status['status_1']}</td></tr>
      </table>\r\n
EOD;
   }
   else {
      if ($params['count'] == 0) {
$form_servers .= <<<EOD
         <tr><td class="lr" colspan="4">{$status['status_1']}</td></tr>
         <tr><th class="lr" colspan="4">{$it['srv_servers_header']} (0)</th></tr>
         <tr><td class="l" width="200">-</td><td width="150">-</td><td>-</td><td class="r" width="50">-</td></tr>
         <tr><td class="lr" colspan="4">&nbsp;</td></tr>
         <tr><th class="lr" colspan="4">{$it['srv_action_header']}</th></tr>
         <tr><td class="bl"><input type="submit" name="actionbtn" value="{$it['srv_addserver_btn']}" class="btn"></td><td class="br" colspan="3">{$it['srv_addserver_desc']}</td></tr>\r\n
EOD;
      }
      else {
$form_servers .= <<<EOD
         <tr><td class="lr" colspan="4">{$status['status_1']}</td></tr>
         <tr><th class="lr" colspan="4">{$it['srv_servers_header']} ({$params['count']})</th></tr>\r\n
EOD;
         for ($i = 0; $i < $params['count']; $i++) {
            $params[$i]['server'] = name_html($params[$i]['server']);
$form_servers .= <<<EOD
         <tr><td class="l" width="200">{$params[$i]['ip']}</td><td width="150">{$params[$i]['server']}</td><td nowrap>{$it['srv_id']}: {$params[$i]['serverid']}<br>{$it['srv_game']}: "{$params[$i]['game']}"<br>{$it['srv_login']}: "{$params[$i]['login']}"<br>{$it['srv_password']}: "{$params[$i]['password']}"<br>{$it['srv_tracks']}:<br>
EOD;
            for ($j = 0; $j < $params[$i]['tracks']['count']; $j++) {
               if (strlen($params[$i]['tracks'][$j]) > 50)
                  $params[$i]['tracks'][$j] = "... ".substr($params[$i]['tracks'][$j], -50);
$form_servers .= <<<EOD
- {$params[$i]['tracks'][$j]}<br>
EOD;
            }
$form_servers .= <<<EOD
{$it['srv_logfiles']}:<br>
EOD;
            for ($j = 0; $j < $params[$i]['logfiles']['count']; $j++) {
               if (strlen($params[$i]['logfiles'][$j]['logfile']) > 50)
                  $params[$i]['logfiles'][$j]['logfile'] = "... ".substr($params[$i]['logfiles'][$j]['logfile'], -50);
$form_servers .= <<<EOD
- {$params[$i]['logfiles'][$j]['logfile']}<br>
EOD;
            }
$form_servers .= <<<EOD
</td><td class="r" width="50"><input type="checkbox" name="serverid_{$params[$i]['serverid']}" value="{$params[$i]['serverid']}"></td></tr>\r\n
EOD;
         }
$form_servers .= <<<EOD
         <tr><td class="lr" colspan="4">&nbsp;</td></tr>
         <tr><th class="lr" colspan="4">{$it['srv_action_header']}</th></tr>
         <tr><td class="l"><input type="submit" name="actionbtn" value="{$it['srv_addserver_btn']}" class="btn"></td><td class="r" colspan="3">{$it['srv_addserver_desc']}</td></tr>
         <tr><td class="l"><input type="submit" name="actionbtn" value="{$it['srv_deleteservers_btn']}" class="btn"></td><td class="r" colspan="3">{$it['srv_deleteservers_desc']}</td></tr>
         <tr><td class="bl"><input type="submit" name="actionbtn" value="{$it['srv_modifyservers_btn']}" class="btn"></td><td class="br" colspan="3">{$it['srv_modifyservers_desc']}</td></tr>\r\n
EOD;
      }
$form_servers .= <<<EOD
      </table>\r\n
EOD;
   }
   if ($status['status_m'] != "unknown") 
$form_servers .= <<<EOD
      <div class="splitter">&nbsp;</div>
      <span class="status">{$status['status_m']}</span>\r\n
EOD;
   return $form_servers;
}


function get_form_servers_add($it, $params, $status) {
   // preformat
   if (!$params) {
      $params['ip'] = "localhost:5000";
      $params['server'] = "My Server";
      $params['game'] = "United";
      $params['login'] = "SuperAdmin";
      $params['password'] = "SuperAdmin";
      $params['logfiles'] = "";
      $params['tracks'] = "";
   }
   else {
      $params['ip'] = htmlspecialchars($params['ip']);
      $params['server'] = htmlspecialchars($params['server']);
      $params['game'] = htmlspecialchars($params['game']);
      $params['login'] = htmlspecialchars($params['login']);
      $params['password'] = htmlspecialchars($params['password']);
      $params['logfiles'] = htmlspecialchars(merge_logs(split_logs($params['logfiles'], true), true));
      $params['tracks'] = htmlspecialchars($params['tracks']);
   }
$form_servers = <<<EOD
      <span class="hdr">&raquo; {$it['mnu_regservers']} &raquo; {$it['mnu_regserversadd']}</span>
      <div class="splitter">&nbsp;</div>
      <input type="hidden" name="action" value="servers_add">
      <input type="hidden" name="step" value="3">
      <table cols="3" class="admindata">
         <tr><th colspan="3">{$it['srv_newserver_header']}</th></tr>
         <tr><td class="l" width="200">{$it['srv_ip']}</td><td width="150"><input type="text" name="ip" value="{$params['ip']}"></td><td class="r">{$it['srv_ip_desc']}</td></tr>
         <tr><td class="l">{$it['srv_server']}</td><td><input type="text" name="server" value="{$params['server']}"></td><td class="r">{$it['srv_server_desc']}</td></tr>
         <tr><td class="l">{$it['srv_game']}</td><td><select name="game"><option value="United" selected>United&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</option><option value="Nations">Nations</option><option value="Sunrise">Sunrise</option><option value="Original">Original</option></select></td><td class="r">{$it['srv_game_desc']}</td></tr>
         <tr><td class="l">{$it['srv_login']}</td><td><input type="text" name="login" value="{$params['login']}"></td><td class="r">{$it['srv_login_desc']}</td></tr>
         <tr><td class="l">{$it['srv_password']}</td><td><input type="text" name="password" value="{$params['password']}"></td><td class="r">{$it['srv_password_desc']}</td></tr>
         <tr><td class="l">{$it['srv_logfiles']}</td><td><input type="text" name="logfiles" value="{$params['logfiles']}"></td><td class="r">{$it['srv_logfiles_desc']}</td></tr>
         <tr><td class="l">{$it['srv_tracks']}</td><td><input type="text" name="tracks" value="{$params['tracks']}"></td><td class="r">{$it['srv_tracks_desc']}</td></tr>
         <tr><td class="lr" colspan="3"><span class="err">{$status['status_1']}</span>&nbsp;</td></tr>
         <tr><th class="lr" colspan="3">{$it['srv_action_header']}</th></tr>
         <tr><td class="l"><input type="submit" name="actionbtn" value="{$it['srv_addserver_btn']}" class="btn"></td><td class="r" colspan="2">{$it['srv_addserver_desc']}</td></tr>
         <tr><td class="bl"><input type="submit" name="actionbtn" value="{$it['srv_cancel_btn']}" class="btn"></td><td colspan="2" class="br">{$it['srv_cancel_desc']}</td></tr>
      </table>\r\n
EOD;
   return $form_servers;
}


function get_form_servers_edit($it, $params, $status) {

$form_servers = <<<EOD
      <span class="hdr">&raquo; {$it['mnu_regservers']} &raquo; {$it['mnu_regserversedit']}</span>
      <div class="splitter">&nbsp;</div>
      <input type="hidden" name="action" value="servers">
      <input type="hidden" name="step" value="3">
      <input type="hidden" name="count" value="{$params['count']}">
      <table cols="3" class="admindata">\r\n
EOD;

  for ($i = 0; $i < $params['count']; $i++) {
     // preformat
     $params[$i]['ip'] = htmlspecialchars($params[$i]['ip']);
     $params[$i]['server'] = htmlspecialchars($params[$i]['server']);
     $params[$i]['game'] = htmlspecialchars($params[$i]['game']);
     $params[$i]['login'] = htmlspecialchars($params[$i]['login']);
     $params[$i]['password'] = htmlspecialchars($params[$i]['password']);
     $params[$i]['logfiles'] = htmlspecialchars(merge_logs(split_logs($params[$i]['logfiles'], true), true));
     $params[$i]['tracks'] = htmlspecialchars($params[$i]['tracks']);
$form_servers .= <<<EOD
         <tr><th class="lr" colspan="3">{$it['srv_currserver_header']} $i</th></tr>
         <input type="hidden" name="serverid_$i" value="{$params[$i]['serverid']}">
         <tr><td class="l" width="200">{$it['srv_ip']}</td><td width="150"><input type="text" name="ip_$i" value="{$params[$i]['ip']}"></td><td class="r">{$it['srv_ip_desc']}</td></tr>
         <tr><td class="l">{$it['srv_server']}</td><td><input type="text" name="server_$i" value="{$params[$i]['server']}"></td><td class="r">{$it['srv_server_desc']}</td></tr>
         <tr><td class="l">{$it['srv_game']}</td><td><select name="game_$i"><option value="United" selected>United&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</option><option value="Nations">Nations</option><option value="Sunrise">Sunrise</option><option value="Original">Original</option></select></td><td class="r">{$it['srv_game_desc']}</td></tr>
         <tr><td class="l">{$it['srv_login']}</td><td><input type="text" name="login_$i" value="{$params[$i]['login']}"></td><td class="r">{$it['srv_login_desc']}</td></tr>
         <tr><td class="l">{$it['srv_password']}</td><td><input type="text" name="password_$i" value="{$params[$i]['password']}"></td><td class="r">{$it['srv_password_desc']}</td></tr>
         <tr><td class="l">{$it['srv_logfiles']}</td><td><input type="text" name="logfiles_$i" value="{$params[$i]['logfiles']}"></td><td class="r">{$it['srv_logfiles_desc']}</td></tr>
         <tr><td class="l">{$it['srv_tracks']}</td><td><input type="text" name="tracks_$i" value="{$params[$i]['tracks']}"></td><td class="r">{$it['srv_tracks_desc']}</td></tr>
         <tr><td colspan="3" class="lr"><span class="err"></span>&nbsp;</td></tr>\r\n
EOD;
   }
$form_servers .= <<<EOD
         <tr><th class="lr" colspan="3">{$it['srv_action_header']}</th></tr>
         <tr><td class="l"><input type="submit" name="actionbtn" value="{$it['srv_modifyservers_btn']}" class="btn"></td><td colspan="2" class="r">{$it['srv_modifyservers_desc']}</td></tr>
         <tr><td class="bl"><input type="submit" name="actionbtn" value="{$it['srv_cancel_btn']}" class="btn"></td><td colspan="2" class="br">{$it['srv_cancel_desc']}</td></tr>
      </table>\r\n
EOD;
   return $form_servers;
}


function get_form_check($it, $params) {
   // preformat
   $params['php_ver'] >= $params['php_minver'] ? $params['php_ver'] = "<span class=\"ok\">{$params['php_ver']}</span>" : $params['php_ver'] = "<span class=\"err\">{$params['php_ver']}</span>";
   $params['php_xml'] ? $params['php_xml'] = "<span class=\"ok\">{$it['chk_statusok']}</span>" : $params['php_xml'] = "<span class=\"err\">{$it['chk_statusfailed']}</span>";
   $params['php_mysql'] ? $params['php_mysql'] = "<span class=\"ok\">{$it['chk_statusok']}</span>" : $params['php_mysql'] = "<span class=\"err\">{$it['chk_statusfailed']}</span>";
   $params['php_gd'] ? $params['php_gd'] = "<span class=\"ok\">{$it['chk_statusok']}</span>" : $params['php_gd'] = "<span class=\"err\">{$it['chk_statusfailed']}</span>";
   $params['php_tt'] ? $params['php_tt'] = "<span class=\"ok\">{$it['chk_statusok']}</span>" : $params['php_tt'] = "<span class=\"err\">{$it['chk_statusfailed']}</span>";
   $params['php_ttfont'] ? $params['php_ttfont'] = "<span class=\"ok\">{$params['php_ttfontname']}</span>" : $params['php_ttfont'] = "<span class=\"err\">{$params['php_ttfontname']}</span>";
   $params['php_cache'] ? $params['php_cache'] = "<span class=\"ok\">{$it['chk_statusok']}</span>" : $params['php_cache'] = "<span class=\"err\">{$it['chk_statusfailed']}</span>";
   $params['php_zlib'] ? $params['php_zlib'] = "<span class=\"ok\">{$it['chk_statusok']}</span>" : $params['php_zlib'] = "<span class=\"err\">{$it['chk_statusfailed']}</span>";
   $db_connection = $params['db_connection'];
   $params['db_connection'] ? $params['db_connection'] = "<span class=\"ok\">{$it['chk_statusok']}</span>" : $params['db_connection'] = "<span class=\"err\">{$it['chk_statusfailed']}</span>";
   $table_state_text = array("-1" => "<span class=\"err\">{$it['db_tableerr']}</span>",
                              "1" => "<span class=\"ok\">{$it['db_tableok']}</span>",
                              "0" => "<span class=\"err\">{$it['db_tablenotfound']}</span>");
$form_check = <<<EOD
      <span class="hdr">&raquo; {$it['mnu_check']}</span>
      <div class="splitter">&nbsp;</div>
      <table cols="3" class="admindata">
         <tr><th class="tlr" colspan="3">{$it['chk_php_header']}</th></tr>
         <tr><td class="l" width="200">{$it['chk_phpver']}</td><td width="100">{$params['php_ver']}</td><td class="r">{$it['chk_phpver_desc']}</td></tr>
         <tr><td class="l">{$it['chk_phpxml']}</td><td>{$params['php_xml']}</td><td class="r">{$it['chk_phpxml_desc']}</td></tr>
         <tr><td class="l">{$it['chk_phpmysql']}</td><td>{$params['php_mysql']}</td><td class="r">{$it['chk_phpmysql_desc']}</td></tr>
         <tr><td class="l">{$it['chk_phpgd']}</td><td>{$params['php_gd']}</td><td class="r">{$it['chk_phpgd_desc']}</td></tr>
         <tr><td class="l">{$it['chk_phptt']}</td><td>{$params['php_tt']}</td><td class="r">{$it['chk_phptt_desc']}</td></tr>
         <tr><td class="l">{$it['chk_phpttfont']}</td><td>{$params['php_ttfont']}</td><td class="r">{$it['chk_phpttfont_desc']}</td></tr>
         <tr><td class="l">{$it['chk_phpcache']}</td><td>{$params['php_cache']}</td><td class="r">{$it['chk_phpcache_desc']}</td></tr>
         <tr><td class="l">{$it['chk_zlib']}</td><td>{$params['php_zlib']}</td><td class="r">{$it['chk_zlib_desc']}</td></tr>
         <tr><td class="l">{$it['chk_metime']}</td><td>{$params['php_metime']}</td><td class="r">{$it['chk_metime_desc']}</td></tr>
         <tr><td class="l">{$it['chk_allowurl']}</td><td>{$params['php_allowurl']}</td><td class="r">{$it['chk_allowurl_desc']}</td></tr>
         <tr><td class="lr" colspan="3">&nbsp;</td></tr>
         <tr><th class="lr" colspan="3">{$it['chk_db_header']}</th></tr>
         <tr><td class="l">{$it['chk_dbtype']}</td><td>{$params['db_type']}</td><td class="r">{$it['chk_dbtype_desc']}</td></tr>
         <tr><td class="l">{$it['chk_dbconnect']}</td><td>{$params['db_connection']}</td><td class="r">{$it['chk_dbconnect_desc']}</td></tr>\r\n
EOD;

   if ($db_connection) {
$form_check .= <<<EOD
         <tr><td class="l">{$it['chk_dbver']}</td><td>{$params['db_version']}</td><td class="r">{$it['chk_dbver_desc']}</td></tr>
         <tr><td class="lr" colspan="3">&nbsp;</td></tr>
         <tr><th class="lr" colspan="3">{$it['chk_tables_header']}</th></tr>
EOD;
      foreach ($params['db_tables'] as $curr_table=>$table_state) {
$form_check .= <<<EOD
         <tr><td class="l">$curr_table</td><td>{$table_state_text[$table_state['status']]}</td><td class="r"></td></tr>
EOD;
      }
$form_check .= <<<EOD
         <tr><td class="lr" colspan="3">&nbsp;</td></tr>
         <tr><th class="lr" colspan="3">{$it['chk_servers_header']}</th></tr>\r\n
EOD;
      if ($params['srv']['count'] == 0) {
$form_check .= <<<EOD
         <tr><td class="l">-</td><td>-</td><td class="r">-</td></tr>\r\n
EOD;
      }
      else {
         for ($i = 0; $i < $params['srv']['count']; $i++) {
            $srv_name = name_html($params['srv'][$i]['server'])."<br>({$params['srv'][$i]['ip']})";
            switch ($params['srv'][$i]['connect']) {
               case  0: $srv_status = "<span class=\"ok\">{$it['chk_srvonline']}</span>"; break;
               case -1: $srv_status = "<span class=\"err\">{$params['srv'][$i]['ip']}</span>"; break;
               case -2: $srv_status = "<span class=\"err\">{$it['chk_srvoffline']}</span>"; break;
               case -3: $srv_status = "<span class=\"err\">{$params['srv'][$i]['login']}<br>{$params['srv'][$i]['password']}</span>"; break;
            }
            $srv_logfiles = "";
            for ($j = 0; $j < $params['srv'][$i]['logfiles']['count']; $j++) {
               if (file_exists($params['srv'][$i]['logfiles'][$j]['logfile']))
                  $srv_logfiles .= "<span class=\"ok\">{$params['srv'][$i]['logfiles'][$j]['logfile']}</span><br>";
               else
                  $srv_logfiles .= "<span class=\"err\">{$params['srv'][$i]['logfiles'][$j]['logfile']}</span><br>";
            }
            $srv_tracks = "";
            for ($j = 0; $j < $params['srv'][$i]['tracks']['count']; $j++) {
               if (file_exists($params['srv'][$i]['tracks'][$j]))
                  $srv_tracks .= "<span class=\"ok\">{$params['srv'][$i]['tracks'][$j]}</span><br>";
               else
                  $srv_tracks .= "<span class=\"err\">{$params['srv'][$i]['tracks'][$j]}</span><br>";
            }
$form_check .= <<<EOD
         <tr><td class="l">$srv_name</td><td>$srv_status</td><td class="r">{$it['chk_tracks']}:<br>$srv_tracks{$it['chk_logfiles']}:<br>$srv_logfiles</td></tr>\r\n
EOD;
         } // for
      } // else
   } // db connection

$form_check .= <<<EOD
         <tr><td class="blr" colspan="3">&nbsp;</td></tr>\r\n
      </table>\r\n
EOD;

   return $form_check;
}


function get_form_server($it, $params, $status) {
   // preformat
   $params['server'] = name_html($params['server']);
   if ($params['inf']['status'] != 0) {
      switch ($params['inf']['status']) {
      case "-1":
         $params['inf']['status'] = $it['cs_errorprefix'].$it['cs_badip_err']; break;
      case "-2":
         $params['inf']['status'] = $it['cs_errorprefix'].$it['cs_serveroffline_err']; break;
      case "-3":
         $params['inf']['status'] = $it['cs_errorprefix'].$it['cs_authenticate_err']; break;
      case "-4":
         $params['inf']['status'] = $it['cs_errorprefix'].$it['cs_unknown_err']; break;
      default:
         $params['inf']['status'] = "";
      }
      $params['inf']['srvstatus'] = '-';
      $params['inf']['playerscurr'] = '-';
      $params['inf']['playersmax'] = '-';
      $params['inf']['challengetotal'] = '-';
      $params['inf']['track']['track'] = '-';
   }
   else {
      $params['inf']['track']['track'] = name_html($params['inf']['track']['track']);
   }
   if ($params['last_update'] == 0) $params['last_update'] = '-';
   else $params['last_update'] = date("Y-m-j h:i:s", $params['last_update']);
   $tracks = "";
   for ($i = 0; $i < $params['tracks']['count']; $i++) {
      if (strlen($params['tracks'][$i]) > 50)
         $tracks .= "... ".substr($params['tracks'][$i], -50)."<br>";
      else
         $tracks .= $params['tracks'][$i]."<br>";
   }
   $logs = "";
   for ($i = 0; $i < $params['logfiles']['count']; $i++) {
      if (strlen($params['logfiles'][$i]['logfile']) > 50)
         $logs .= "({$params['logfiles'][$i]['filesize']}b) ... ".substr($params['logfiles'][$i]['logfile'], -50)."<br>";
      else
         $logs .= "({$params['logfiles'][$i]['filesize']}b) ".$params['logfiles'][$i]['logfile']."<br>";
   }
   // form
$form_server = <<<EOD
      <span class="hdr">&raquo; {$params['server']}</span>
      <div class="splitter">&nbsp;</div>
      <input type="hidden" name="action" value="server">
      <input type="hidden" name="step" value="2">
      <input type="hidden" name="sid" value="{$params['serverid']}">
      <table cols="2" class="admindata">
         <tr><th class="tlr" colspan="2">{$it['cs_inf_header']}</th></tr>
         <tr><td class="l" width="200">{$it['cs_status']}</td><td class="r">{$params['inf']['status']}</td></tr>
         <tr><td class="l">{$it['cs_players']}</td><td class="r">{$params['inf']['playerscurr']} / {$params['inf']['playersmax']}</td></tr>
         <tr><td class="l">{$it['cs_totaltracks']}</td><td class="r">{$params['inf']['challengetotal']}</td></tr>
         <tr><td class="l">{$it['cs_currtrack']}</td><td class="r">{$params['inf']['track']['track']}</td></tr>
         <tr><td class="lr" colspan="2">&nbsp;</td></tr>
         <tr><th class="lr" colspan="2">{$it['cs_action_header']}</th></tr>
         <tr><td class="bl"><input type="submit" name="actionbtn" value="{$it['cs_refresh_btn']}" class="btn"></td><td colspan="2" class="br">{$it['cs_refresh_desc']}</td></tr>
      </table>
      <div class="splitter">&nbsp;</div>
      <table cols="2" class="admindata">
         <tr><th class="tlr" colspan="2">{$it['cs_parsing_header']}</th></tr>
         <tr><td class="l" width="200">{$it['cs_parselast']}</td><td class="r">{$params['last_update']}</td></tr>
         <tr><td class="l">{$it['cs_logfiles']}</td><td class="r">$logs</td></tr>
         <tr><td class="lr" colspan="2">&nbsp;</td></tr>
         <tr><th class="lr" colspan="2">{$it['cs_action_header']}</th></tr>
         <tr><td class="bl"><input type="submit" name="actionbtn" value="{$it['cs_parse_btn']}" class="btn"></td><td colspan="2" class="br">{$it['cs_parse_desc']}</td></tr>
      </table>
      <div class="splitter">&nbsp;</div>
      <table cols="3" class="admindata">
         <tr><th class="tlr" colspan="2">{$it['cs_msf_header']}</th></tr>
         <tr><td class="l" width="200">{$it['cs_tracks']}</td><td class="r">$tracks</td></tr>
         <tr><td class="lr" colspan="2">&nbsp;</td></tr>
         <tr><th class="lr" colspan="2">{$it['cs_action_header']}</th></tr>
         <tr><td class="l"><input type="submit" name="actionbtn" value="{$it['cs_createmsf_btn']}" class="btn"></td><td colspan="2" class="r">{$it['cs_createmsf_desc']}</td></tr>
         <tr><td class="l"><input type="submit" name="actionbtn" value="{$it['cs_restarttrack_btn']}" class="btn"></td><td colspan="2" class="r">{$it['cs_restarttrack_desc']}</td></tr>
         <tr><td class="l"><input type="submit" name="actionbtn" value="{$it['cs_nexttrack_btn']}" class="btn"></td><td colspan="2" class="r">{$it['cs_nexttrack_desc']}</td></tr>
         <tr><td class="bl"><input type="submit" name="actionbtn" value="{$it['cs_choosetrack_btn']}" class="btn"></td><td colspan="2" class="br">{$it['cs_choosetrack_desc']}</td></tr>
      </table>\r\n
EOD;


   if ($status['status_m'] != "unknown") {
$form_server .= <<<EOD
      <div class="splitter">&nbsp;</div>\r\n
      <span class="status">{$status['status_m']}</span>\r\n
EOD;
   }

   return $form_server;
}


function get_form_msfg($it, $params) {
   // preformat
   if (strpos($params['tracks'][0], "/") !== false)
      $slash = "/";
   else if (strpos($params['tracks'][0], "\\") !== false)
      $slash = "\\";
   else if (strstr(PHP_OS, 'WIN'))
      $slash = "\\";
   else
      $slash = "/";

   if (substr($params['tracks'][0], -1) == '\\' || substr($params['tracks'][0], -1) == '/')
      $msfilename = $params['tracks'][0]."msf.txt";
   else
      $msfilename = $params['tracks'][0].$slash."msf.txt";
   $params['server'] = name_html($params['server']);

$form_msfg = <<<EOD
      <span class="hdr">&raquo; {$params['server']} &raquo; {$it['mnu_msf']}</span>
      <div class="splitter">&nbsp;</div>
      <input type="hidden" name="action" value="server">
      <input type="hidden" name="step" value="3">
      <input type="hidden" name="sid" value="{$params['serverid']}">
      <table cols="6" class="admindata">
         <tr><th colspan="2">{$it['msf_parameter_header']}</th><th colspan="4">{$it['msf_value_header']}</th></tr>
         <tr><td colspan="2" class="l">{$it['msf_gamemode']}</td><td colspan="4" class="r"><select name="gi_gamemode"><option value="1" selected>TimeAttack&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</option><option value="0">Rounds</option><option value="2">Team</option><option value="3">Laps</option><option value="4">Stunts</option></select></td></tr>
         <tr><td colspan="2" class="l">{$it['msf_chattime']}</td><td colspan="4" class="r"><input type="text" name="gi_chattime" value="10000"></td></tr>
         <tr><td colspan="2" class="l">{$it['msf_roundspointslimit']}</td><td colspan="4" class="r"><input type="text" name="gi_roundspointslimit" value="10"></td></tr>
         <tr><td colspan="2" class="l">{$it['msf_roundsusenewrules']}</td><td colspan="4" class="r"><select name="gi_roundsusenewrules"><option value="0" selected>No</option><option value="1">Yes</option></select></td></tr>
         <tr><td colspan="2" class="l">{$it['msf_timeattacklimit']}</td><td colspan="4" class="r"><input type="text" name="gi_timeattacklimit" value="360000"></td></tr>
         <tr><td colspan="2" class="l">{$it['msf_teampointslimit']}</td><td colspan="4" class="r"><input type="text" name="gi_teampointslimit" value="5"></td></tr>
         <tr><td colspan="2" class="l">{$it['msf_teammaxpoints']}</td><td colspan="4" class="r"><input type="text" name="gi_teammaxpoints" value="6"></td></tr>
         <tr><td colspan="2" class="l">{$it['msf_teamusenewrules']}</td><td colspan="4" class="r"><select name="gi_teamusenewrules"><option value="0" selected>No</option><option value="1">Yes</option></select></td></tr>
         <tr><td colspan="2" class="l">{$it['msf_laps_nblaps']}</td><td colspan="4" class="r"><input type="text" name="gi_lapsnblaps" value="100"></td></tr>
         <tr><td colspan="2" class="l">{$it['msf_lapstimelimit']}</td><td colspan="4" class="r"><input type="text" name="gi_lapstimelimit" value="0"></td></tr>
         <tr><td colspan="2" class="l">{$it['msf_randommaporder']}</td><td colspan="4" class="r"><select name="gi_randommaporder"><option value="0">No</option><option value="1" selected>Yes</option></select></td></tr>
         <tr><td colspan="6" class="lr">&nbsp;</td></tr>
         <tr><th class="l" width="50">{$it['msf_chechbox_header']}</th><th width="300">{$it['msf_trackname_header']} ({$it['msf_trackauthor_header']})</th><th>{$it['msf_trackuid_header']}</th><th width="50">{$it['msf_envir_header']}</th><th width="30">{$it['msf_ml_header']}</th><th class="r" width="30">{$it['msf_version_header']}</th></tr>\r\n
EOD;
   if (count($params['inf']) > 0) {
      $i = 0;
      foreach($params['inf'] as $trackid=>$tinfo) {
         $envir = strtolower(substr($tinfo['f'], 0, 2));
         $tinfo['c'] = name_html($tinfo['c']);
         $tinfo['e'] = name_html($tinfo['e']);
         $tinfo['i'] > 1 ? $tinfo['i'] = "+" : $tinfo['i'] = "&nbsp;";
$form_msfg .= <<<EOD
         <tr><td class="l"><input type="checkbox" name="t$envir$i" value="{$tinfo['p']}*{$tinfo['b']}" checked></td><td>{$tinfo['c']} ({$tinfo['e']})</td><td>{$tinfo['b']}</td><td>{$tinfo['f']}</td><td>{$tinfo['i']}</td><td class="r">{$tinfo['q']}</td></tr>\r\n
EOD;
         $i++;
      }
   }
   else {
$form_msfg .= <<<EOD
         <tr><td class="l">-</td><td>-</td><td>-</td><td>-</td><td>-</td><td class="r">-</td></tr>\r\n
EOD;
   }
$form_msfg .= <<<EOD
         <tr><td class="lr" colspan="6">
            <a href="javascript:void(0);" onclick="javascript:check('achk')">{$it['msf_chkall']}</a>&nbsp;/&nbsp;
            <a href="javascript:void(0);" onclick="javascript:check('al')">{$it['msf_chkalpine']}</a>&nbsp;/&nbsp;
            <a href="javascript:void(0);" onclick="javascript:check('ba')">{$it['msf_chkbay']}</a>&nbsp;/&nbsp;
            <a href="javascript:void(0);" onclick="javascript:check('co')">{$it['msf_chkcoast']}</a>&nbsp;/&nbsp;
            <a href="javascript:void(0);" onclick="javascript:check('is')">{$it['msf_chkisland']}</a>&nbsp;/&nbsp;
            <a href="javascript:void(0);" onclick="javascript:check('ra')">{$it['msf_chkrally']}</a>&nbsp;/&nbsp;
            <a href="javascript:void(0);" onclick="javascript:check('sp')">{$it['msf_chkspeed']}</a>&nbsp;/&nbsp;
            <a href="javascript:void(0);" onclick="javascript:check('st')">{$it['msf_chkstadium']}</a>&nbsp;/&nbsp;
            <a href="javascript:void(0);" onclick="javascript:check('uchk')">{$it['msf_chknull']}</a>
         </td></tr>
         <tr><th class="lr" colspan="6">{$it['msf_msfilename_header']}</th></tr>
         <tr><td class="lr" colspan="6"><input type="text" name="msfilepath" value="$msfilename" style="width:100%"></></td>
         <tr><td class="lr" colspan="6">&nbsp;</td></tr>
         <tr><th class="lr" colspan="6">{$it['msf_action_header']}</th></tr>
         <tr><td colspan="2" class="l"><input type="checkbox" name="restartserver" value="true" checked></td><td colspan="4" class="r">{$it['msf_srvrestart_desc']}</td></tr>
         <tr><td class="bl" colspan="2"><input type="submit" name="actionbtn" value="{$it['msf_savetofile_btn']}" class="btn"></td><td class="br" colspan="4">{$it['msf_savetofile_desc']}</td></tr>
      </table>\r\n
EOD;

   return $form_msfg;
}


function get_form_choosetrack($it, $params) {
   // preformat
   $params['server'] = name_html($params['server']);
$form_choosetrack = <<<EOD
      <span class="hdr">&raquo; {$params['server']} &raquo; {$it['mnu_choosetrack']}</span>
      <div class="splitter">&nbsp;</div>
      <input type="hidden" name="action" value="server">
      <input type="hidden" name="step" value="3">
      <input type="hidden" name="sid" value="{$params['serverid']}">
      <table cols="4" class="admindata">
         <tr><th width="50">{$it['chtr_radio_header']}</th><th>{$it['chtr_track_header']}</th><th width="100">{$it['chtr_envir_header']}</th><th width="100">{$it['chtr_length_header']}</th></tr>\r\n
EOD;
   if ($params['inf']['count'] == 0) {
$form_choosetrack .= <<<EOD
         <tr><td class="l">-</td><td>-</td><td>-</td><td class="r">-</td></tr>
EOD;
   }
   else {
      for ($i = 0; $i < $params['inf']['count']; $i ++) {
         $params['inf'][$i]['track'] = name_html($params['inf'][$i]['track']);
         $params['inf'][$i]['length'] = time_msectocut($params['inf'][$i]['length']);
$form_choosetrack .= <<<EOD
         <tr><td class="l"><input type="radio" name="choosetrack" value="{$params['inf'][$i]['filename']}"></td><td>{$params['inf'][$i]['track']}</td><td>{$params['inf'][$i]['envir']}</td><td class="arr">{$params['inf'][$i]['length']}</td></tr>\r\n
EOD;
      }
   }

$form_choosetrack .= <<<EOD
         <tr><td class="lr" colspan="4">&nbsp;</td></tr>
         <tr><th class="lr" colspan="4">{$it['chtr_action_header']}</th></tr>
         <tr><td class="blr" colspan="4"><input type="submit" name="actionbtn" value="{$it['chtr_choosetrack_btn']}" class="btn"></td></tr>
      </table>\r\n
EOD;
   return $form_choosetrack;
}

function get_form_error() {

$form_error404 = <<<EOD
?
EOD;

   return $form_error404;   
}
?>