<?php
// Deutsche Sprache

$tmos_admin_it = array(

// MENU
"mnu_cfg"=>"TM Offline Stats",
"mnu_general"=>"Allgemeine Einstellungen",
"mnu_database"=>"Datenbank",
"mnu_databaseupdate"=>"Update der Struktur",
"mnu_regservers"=>"Server Registrierung",
"mnu_regserversadd"=>"Neuen Server hinzufügen",
"mnu_regserversedit"=>"Server Information bearbeiten",
"mnu_msf"=>"Matchsettings Datei",
"mnu_choosetrack"=>"Streckenauswahl",
"mnu_check"=>"Überprüfung der Konfiguration",
"mnu_servers"=>"Server",
"mnu_nullservers"=>"(nicht registriert)",


// AUTORIZE
"az_authorize_header"=>"Autorisation",
"az_login_btn"=>"LOGIN",
"az_status_1"=>"Falsches Passwort!",

// GENERAL SETTINGS
// - Headers
"gs_db_header"=>"Datenbank",
"gs_interface_header"=>"Interface",
"gs_parsing_header"=>"Statistiken errechnen",
"gs_userbars_header"=>"Userbars",
"gs_admin_header"=>"Administratorpasswort",
"gs_action_header"=>"Aktionen",
// - DB
"gs_dbhost"=>"Datenbankhost",
"gs_dbtype"=>"Datenbanktyp",
"gs_dblogin"=>"Datenbanklogin",
"gs_dbpassword"=>"Datenbankpasswort",
"gs_dbname"=>"Datenbankname",
"gs_dbhost_desc"=>"IP-Adresse des Servers mit der Datenbank. Beispiele:<br>* 192.168.40.111<br>* localhost",
"gs_dbtype_desc"=>"Art der Datenbank in der die Statistiken gespeichert werden",
"gs_dblogin_desc"=>"Der Datenbanknutzer muss über ausreichende Rechte verfügen, um Tabellen anzulegen und zu editieren",
"gs_dbpassword_desc"=>"Passwort des Datenbanknutzers",
"gs_dbname_desc"=>"Datenbank muss vorher angelegt werden, z.B. mit 'phpMyAdmin' oder 'MySQLAdministrator'",
// - Interface
"gs_language"=>"Interfacesprache",
"gs_colorscheme"=>"Farbschema",
"gs_recperpage"=>"Rekorde pro Seite",
"gs_javascript"=>"JavaScript",
"gs_servertimeout"=>"Server timeout",
"gs_defaultstats"=>"Statistikmodus",
"gs_defaultstats_choice_1"=>"Allzeit",
"gs_defaultstats_choice_2"=>"Letzte x Tage",
"gs_showoneserver"=>"Einzelserver",
"gs_showclans"=>"Team Option",
"gs_showuserbars"=>"Userbar Knopf",
"gs_playerminscore"=>"Mindestspielerwertung",
"gs_htmlcache"=>"Cache HTML",
"gs_htmlcache_choice_1"=>"Hauptseiten",
"gs_htmlcache_choice_2"=>"Alle Seiten",
"gs_htmlcache_choice_3"=>"Verboten",
"gs_gzipcompress"=>"gZIP Kompression",
"gs_language_desc"=>"Sprachauswahl für die Statistikseiten, Administratormenü und 'userbars'",
"gs_colorscheme_desc"=>"Stylesheets für die Statistikseiten",
"gs_recperpage_desc"=>"Maximalanzahl der pro Seite anzuzeigenden Rekorde. Restliche Rekorde werden auf den folgenden Seiten ausgegeben",
"gs_javascript_desc"=>"JavaScript wird benutzt, um Tabellenzeilen mit dem Cursor farbig zu markieren und so bequemes Browsen zu ermöglichen",
"gs_servertimeout_desc"=>"Falls in diesem Zeitraum (in Sek.) keine Antwort vom Server eingeht, wird er als 'offline' interpretiert",
"gs_defaultstats_desc"=>"Der normale Statistikmodus beim Öffnen einer neuen Seite",
"gs_showoneserver_desc"=>"'Server' Option (nicht) anzeigen ( z.B. falls es nur einen registrierten Server gibt)",
"gs_showclans_desc"=>"'Teams' Option in den Statistiken (nicht) anzeigen",
"gs_showuserbars_desc"=>"'Userbar'-Knopf in den persönlichen Spieler Statistiken (nicht) anzeigen",
"gs_playerminscore_desc"=>"Spieler mit einer geringeren Anzahl von Ergebnissen werden nicht angezeigt",
"gs_htmlcache_desc"=>"HTML-Seiten durch das cachen der 'PHP scripts' beschleunigen",
"gs_gzipcompress_desc"=>"HTML-Seiten vor dem Versenden zum Nutzer komprimieren (nützlich um den 'Traffic' zu reduzieren))",
// - Parsing
"gs_timeperiod"=>"Zeitraum",
"gs_timeperiod_desc"=>"Die 'aktuellen Statistiken' werden für diesen Zeitraum berechnet (Tage)",
"gs_maxtrackscore"=>"Maximale Rekorde", // don't use in v0.62
"gs_maxtrackscore_desc"=>"Anzahl der Spieler in den Bestenlisten", // don't use in v0.62
"gs_minclansize"=>"Teamgröße",
"gs_minclansize_desc"=>"Mindestspieleranzahl in einem Team",
"gs_medalsscore"=>"Medaillenpunkte",
"gs_medalsscore_desc"=>"Punkte die verliehen werden für das Erreichen der Autoren-/Gold-/Silber-/Bronzemedaille und für das Erreichen des Ziels",
// - Userbars
"gs_ubfont"=>"Zeichensatz",
"gs_ubfont_desc"=>"Der Dateiname des Zeichensatzes der zum Schreiben der Texte in den 'userbars' verwendet wird. Zeichensatzdatei muss im Ordner '/.gfx ' plaziert sein. Für die korrekte Umsetzung muss der Zeichensatz von Typ 'unicode' sein und alle 65000 Symbole beinhalten (Arial Unicode MS empfohlen)",
"gs_ubfontsizen"=>"Zeichensatzgröße n",
"gs_ubfontsizen_desc"=>"Größe des Zeichensatzes in den keinen 'userbars' (350x20 Punkte)",
"gs_ubfontsizeb"=>"Zeichensatzgröße b",
"gs_ubfontsizeb_desc"=>"Größe des Zeichensatzes in den großen 'userbars' (350x50 Punkte)",
// - Admin
"gs_adminpassword"=>"Administratorpasswort",
"gs_adminpassword_desc"=>"TMOS Administratorpasswort",
// - Action
"gs_savecfg_btn"=>"SPEICHERN",
"gs_savecfg_desc"=>"Einstellungsänderungen auf dieser Seite speichern",
// - Errors
"gs_errorprefix"=>"Fehler: ",
"gs_doublequotes_err"=>"Keine doppelten Anführungszeichen benutzen",
"gs_recperpage_err"=>"Der Parameter 'Rekorde pro Seite' muss ein ganze Zahl >= 10 sein ",
"gs_servertimeout_err"=>"Der Parameter 'Server timeout' muss eine ganze Zahl > 0 sein",
"gs_minscore_err"=>"Der Parameter 'Mindestspielerwertung' muss eine ganze Zahl >= 0 sein",
"gs_timeperiod_err"=>"Der Parameter 'Zeitraum' muss eine ganze Zahl > 0 sein",
"gs_maxtrackscore_err"=>"Der Parameter 'Maximale Rekorde' muss eine ganze Zahl >= 1 sein", // don't use in v0.62
"gs_minclansize_err"=>"Der Parameter 'Teamgröße' muss eine ganze Zahl >= 2 sein",
"gs_medalsscore_err"=>"Die Parameter der 'Medaillenpunkte' muss alle ganze Zahlen >= 0 sein",
"gs_fontsize_err"=>"Der Parameter 'Zeichensatzgröße' muss eine ganze Zahl >= 1 sein",
// - Operation results
"gs_status_1"=>"Einstellungen gespeichert",
"gs_status_2"=>"Einstellungen konnten nicht gespeichert werden. Überprüfen Sie, dass die Datei'tmos_options.php' Schreibberechtigung hat",

// DATABASE
// - Headers
"db_status_header"=>"Datenbank Status",
"db_table_header"=>"Tabelle",
"db_tablestate_header"=>"Status",
"db_tablerecords_header"=>"Rekorde",
"db_action_header"=>"Aktionen",
"db_updateinfo_header"=>"Informationen",
"db_updateoptions_header"=>"Optionen",
// - DB
"db_dbok"=>"Ok",
"db_dberr"=>"Datenbank wird nicht von PHP unterstützt",
// - Tables
"db_tableerr"=>"Falsches Format",
"db_tableok"=>"Ok",
"db_tablenotfound"=>"Nicht gefunden",
// - Update
"db_updateinfo_text"=>"* Aktualisiert die Datenbankstruktur <b>{0} => {1}</b>.<br>* Für /lan Server: alle Spieler mit 'Nicknames', die sich nur durch Farbcodes unterscheiden oder Zeichen beinhalten wie &sect;00fnickname, &sect;w&sect;inick&sect;0f0na&sect;zme, NiCkNaMe werden zusammengefasst.<br>* Eine vorheriges Backup der Datenbank wird empfohlen!.<br>* Nach dem Update, lassen Sie die Logs erneut analysieren, um die korretke Darstellen der Statistiken zu gewährleisten.",
"db_tracksdirs"=>"Streckenverzeichnisse",
"db_tracksdirs_desc"=>"Verzeichnisse mit '.gbx' Streckendateien. Mehrere Verzeichnisse können durch Verwendung von ';' abgetrennent werden. Beispiele: <br>* c:\\tmn\\GameData\\Tracks<br>* /usr/home/meinaccount/tmn/GameData/Tracks<br>* &lt;dir1&gt;/Tracks;&lt;dir2&gt;/Tracks;&lt;dir3&gt;/Tracks",
"db_ignoreerrors_desc"=>"Ignorieren der fehlenden Strecken. <b>Die Ergebnisse aller Spieler auf den nicht gefundenen Strecken gehen verloren!</b>",
"db_tracks_err"=>"Einige Streckendateien wurden nicht gefunden. Kopieren Sie fehlende Dateien in  die angegebenen \"Streckenverzeichnisse\" oder fügen Sie einen neuen Pfad mit ';' hinzu. Veruschen Sie dann erneut eine Aktualisierung mir dem \"Update\" Knopf<p>",

"db_updatenotsupport_err"=>"Ein Update von diesen Versionen wird nicht unterstützt",
// - Action
"db_updatedb_btn"=>"UPDATE",
"db_createtables_btn"=>"ERZEUGEN",
"db_droptables_btn"=>"LÖSCHEN",
"db_resetdb_btn"=>"RESET",
"db_cleardb_btn"=>"LEEREN",
"db_cancel_btn"=>"ABBRUCH",
"db_updatedb_desc"=>"Update der TMOS Databanktabellen von früheren Versionen von TMOS (alle Daten bleiben erhalten)",
"db_createtables_desc"=>"TMOS Tabellen in der Datenbank erzeugen",
"db_droptables_desc"=>"TMOS Tabellen aus der Datenbank löschen",
"db_resetdb_desc"=>"Entfernung aller Eintragungen ausser der aktiven Server",
"db_cleardb_desc"=>"Entfernung aller Eintragungen",
"db_cancel_desc"=>"Update nicht DUrchführen",

// - Errors
"db_errorprefix"=>"Fehler: ",
// - Operation results
"db_status_1"=>"Änderungen der Datenbank erfolgreich durchgeführt",
// SERVERS
// - Headers
"srv_status_header"=>"Datenbankstruktur",
"srv_servers_header"=>"Server",
"srv_newserver_header"=>"Neuen Server einrichten",
"srv_action_header"=>"Aktionen",
"srv_currserver_header"=>"Server",
// - Servers
"srv_ip"=>"IP-Adresse",
"srv_server"=>"Servername",
"srv_id"=>"Server ID",
"srv_game"=>"Spiel",
"srv_login"=>"Server Admin Login",
"srv_password"=>"Server Admin Passwort",
"srv_logfiles"=>"Log-Dateien",
"srv_tracks"=>"Streckenverzeichnisse",
"srv_ip_desc"=>"Server Fernsteuerungs Port Einstellungen 'ip:xmlrpcport'. Beispiele:<br>* 192.168.40.111:5000<br>* localhost:5001",
"srv_server_desc"=>"Wird in den Tabellenüberschriften und 'userbars' angezeigt",
"srv_game_desc"=>"Bilder der 'userbars' werden gemäß dieser Eistellung angezeigt",
"srv_login_desc"=>"Muss mit der Passwort für den 'SuperAdmin' in der 'dedicated.cfg' Datei übereinstimmen",
"srv_password_desc"=>"",
"srv_logfiles_desc"=>"Trackmania server Log-Dateien ('./Logs' Ordner des Servers). Mehrere Logs können durch Verwendung von ';' voneinanrder abgetrennt werden. Beispiele:<br>* c:\\tmn\\Logs\\GameLog..txt<br>* /usr/home/myaccount/tmn/Logs/GameLog..txt<br>* &lt;dir&gt;\GameLog.1.txt;&lt;dir&gt;\GameLog.2.txt;&lt;dir&gt;\GameLog.3.txt",
"srv_tracks_desc"=>"Ordner mit '.gbx' Streckendateien. Mehrere Ordner können durch Verwendung von ';' voneinander getrennt werden. Beispiele:<br>* c:\\tmn\\GameData\\Tracks<br>* /usr/home/meinaccount/tmn/GameData/Tracks<br>* &lt;dir1&gt;/Tracks;&lt;dir2&gt;/Tracks;&lt;dir3&gt;/Tracks",

// - Action
"srv_addserver_btn"=>"HINZUFÜGEN",
"srv_deleteservers_btn"=>"ENTFERNEN",
"srv_modifyservers_btn"=>"ÄNDERN",
"srv_cancel_btn"=>"ABBRUCH",
"srv_addserver_desc"=>"Neuen Server registrieren",
"srv_deleteservers_desc"=>"Ausgewählte Server entfernen",
"srv_modifyservers_desc"=>"Einstellungen der gewählten Server ändern",
"srv_cancel_desc"=>"Änderungen verwerfen",
// - Errors
"srv_errorprefix"=>"Fehler: ",
"srv_doublequotes_err"=>"Keine doppelten Anführungszeichen verwenden",
// - Operation results
"srv_status_1"=>"Operation abgebrochen",
"srv_status_2"=>"Operation erfolgreich durchgeführt",
"srv_status_3"=>"Keine Server gewählt",

// CHECK
// - Headers
"chk_php_header"=>"PHP",
"chk_db_header"=>"Datenbank",
"chk_tables_header"=>"Tabellen",
"chk_servers_header"=>"Server",
// - Inf
"chk_phpver"=>"Version",
"chk_phpxml"=>"XML",
"chk_phpmysql"=>"MySQL",
"chk_phpgd"=>"GD",
"chk_phptt"=>"FreeType",
"chk_phpttfont"=>"TrueType Font",
"chk_phpcache"=>"Cache",
"chk_zlib"=>"ZLib",
"chk_metime"=>"max_execution_time",
"chk_allowurl"=>"allow_url_fopen",
"chk_dbtype"=>"Datenbanktyp",
"chk_dbconnect"=>"Verbindung",
"chk_dbver"=>"Version",
"chk_logfiles"=>"Log-Dateien",
"chk_tracks"=>"Streckenverzeichnisse",
"chk_phpver_desc"=>"PHP Version muss mindestens 4.4.0 sein",
"chk_phpxml_desc"=>"XML Unterstützung",
"chk_phpmysql_desc"=>"MySQL Unterstützung",
"chk_phpgd_desc"=>"GD Bibliotheken müssen installiert sein um 'userbars' zu nutzen",
"chk_phptt_desc"=>"'Freetype' Bibliotheken müssen installiert sein um 'Truetype' Zeichensätze in 'userbars' zu nutzen",
"chk_phpttfont_desc"=>"'Truetype' Zeichensatzdatei die für die 'userbars' genutzt wird",
"chk_phpcache_desc"=>"Testschreibvorgang zum cachen von Dateien",
"chk_zlib_desc"=>"ZLib Bibliotheken müssen installiert sein um Webseitenkompression zu ermöglichen",
"chk_metime_desc"=>"Maximale 'PHP script' Ausführungszeit. Falls der 'PHP safe mode' aktiviert ist (SM = On), können die Scripts diese Variable nicht verändern und sie muss von Hand geändert werden",
"chk_allowurl_desc"=>"Falls diese Option deaktiviert ist können die Scripts keine Dateien per FTP:// oder file:// bearbeiten",
"chk_dbtype_desc"=>"",
"chk_dbconnect_desc"=>"Datenbankanbindung",
"chk_dbver_desc"=>"Datenbankversion muss mindestens 4.1.0 sein",
// - Check results
"chk_statusok"=>"Ok",
"chk_statusfailed"=>"Fehler",
"chk_srvonline"=>"Online",
"chk_srvoffline"=>"Offline",

// CURRENT SERVER
// - Headers
"cs_inf_header"=>"Informationen",
"cs_parsing_header"=>"Log-Dateinanalyse",
"cs_action_header"=>"Aktionen",
"cs_msf_header"=>"'Matchsettings' Datei / Strecken",
// - Inf
"cs_status"=>"Status",
"cs_players"=>"Spieler",
"cs_totaltracks"=>"Streckenanzahl",
"cs_currtrack"=>"Aktuelle Strecke",
// - Parsing
"cs_parselast"=>"Letzte Analyse",
"cs_logfiles"=>"Log-Dateien",
// - Tracks
"cs_tracks"=>"Streckenverzeichnisse",
// - Action
"cs_refresh_btn"=>"AKTUALISIEREN",
"cs_parse_btn"=>"ANALYSE",
"cs_createmsf_btn"=>"MSD",
"cs_restarttrack_btn"=>"NEUSTART",
"cs_nexttrack_btn"=>"NÄCHSTE",
"cs_choosetrack_btn"=>"WÄHLEN",
"cs_refresh_desc"=>"Serverinformationen aktualisieren",
"cs_restarttrack_desc"=>"Aktuelle Strecke neu starten",
"cs_nexttrack_desc"=>"Server zur nächsten Strecke schicken",
"cs_choosetrack_desc"=>"Auswählen und Wechseln zu einer der Strecken in der Streckenliste",
"cs_parse_desc"=>"Log-Dateien analysieren und Ergebnisse in die Datenbank schreiben",
"cs_createmsf_desc"=>"Neue 'matchsettings' Datei schreiben",
// - Errors
"cs_errorprefix"=>"Fehler: ",
"cs_badip_err"=>"Falsche IP-Adresse",
"cs_serveroffline_err"=>"Server offline",
"cs_authenticate_err"=>"Falscher Benutzername / Passwort",
"cs_unknown_err"=>"Unbekannter Fehler",
"cs_msfwrite_err"=>"Fehler. Mögliche Ursachen:</b><br>* unzureichende Rechte<br>* Verzeichnis existiert nicht<br>* Dateiname beinhaltet unzulässige Zeichen ('*', '?' ...)",
"cs_msftracks_err"=>"Keine Strecken gewählt",
"cs_msfrestartserver_err"=>"Konnte Server nicht neu starten",
"cs_choosetrack_err"=>"Keine Strecke gewählt",
"cs_servers_err"=>"Server nicht gefunden",
"cs_skipped_err"=>"Übersprungen",
"cs_tracks_err"=>"Streckenverzeichnis nicht gefunden",
"cs_logfilenotfound_err"=>"Log-Datei nicht gefunden",
"cs_logfilenotreadable_err"=>"Log-Datei unlesbar",
"cs_logfilecantopen_err"=>"Kann Log-Datei nicht öffnen",
// - Operation results
"cs_status_1"=>"Ok",
"cs_status_2"=>"'Matchsettings' Datei gespeichert",
"cs_status_3"=>"Server neu gestartet",
"cs_status_4"=>"Misserfolg",

// MSF
// - Headers
"msf_parameter_header"=>"Parameter",
"msf_value_header"=>"Wert",
"msf_chechbox_header"=>"Auswahl",
"msf_trackname_header"=>"Streckenname",
"msf_trackauthor_header"=>"Autor",
"msf_trackuid_header"=>"UID",
"msf_ml_header"=>"ML",
"msf_envir_header"=>"Umgeb.",
"msf_version_header"=>"TM",
"msf_msfilename_header"=>"Matchsettings Datei",
"msf_action_header"=>"Aktionen",
// - Options
"msf_gamemode"=>"Spielmodus",
"msf_chattime"=>"Chatzei (MSek.)",
"msf_roundspointslimit"=>"Punktegrenze im 'Rounds' Modus",
"msf_roundsusenewrules"=>"Neue Regeln im 'Rounds' Modus verwenden",
"msf_timeattacklimit"=>"Punktegrenze im 'TimeAttack' Modus (MSek.)",
"msf_teampointslimit"=>"Punktegrenze im 'Team' Modus",
"msf_teammaxpoints"=>"Maximale Teampunkte im 'Team' Modus",
"msf_teamusenewrules"=>"Neue Regeln im 'Team' Modus verwenden",
"msf_laps_nblaps"=>"Rundenanzahl im 'Laps' Modus erzwingen",
"msf_lapstimelimit"=>"Zeitgrenze im 'Laps' mode (MSek.)",
"msf_randommaporder"=>"Zufällige Streckenreihenfolge",
// - Action
"msf_chkall"=>"Alle auswählen",
"msf_chkalpine"=>"Alpine",
"msf_chkbay"=>"Bay",
"msf_chkcoast"=>"Coast",
"msf_chkisland"=>"Island",
"msf_chkrally"=>"Rally",
"msf_chkspeed"=>"Speed",
"msf_chkstadium"=>"Stadium",
"msf_chknull"=>"Alle entfernen",
"msf_savetofile_btn"=>"SPEICHERN",
"msf_srvrestart_desc"=>"Server mit neuen Einstellungen starten. Warnung: alle Streckendateien und die Datei 'matchsettingsfile.txt müssen im Ordner ...\\GameData\\Tracks\ oder einem Unterordner sein!",
"msf_savetofile_desc"=>"In Datei speichern",
"msf_csave"=>"Datei speichern",

// CHOOSE TRACK
"chtr_radio_header"=>"Auswahl",
"chtr_track_header"=>"Streckenname",
"chtr_envir_header"=>"Umgeb.",
"chtr_length_header"=>"Länge",
"chtr_choosetrack_btn"=>"WÄHLEN",
"chtr_action_header"=>"Aktionen",
);


$tmos_viewer_it = array(

// MENU
"mnu_servers"=>"Server",
"mnu_monitoring"=>"Übersicht",
"mnu_playerlist"=>"Spielerrangliste",
"mnu_tracklist"=>"Strecken",
"mnu_clanlist"=>"Teams",
"mnu_pages"=>"Seiten: ",

// SERVERLIST
"sl_header"=>"Server",
"sl_online"=>"Online",
"sl_offline"=>"Offline",

// TABS
"tab_lastxdays"=>"Letzte {0} Tage",
"tab_alltime"=>"Allzeit",
"tab_dateseparator"=>" / ",
"tab_statsupdate"=>"(Aktualisiere Statistiken)",

// MONITORING
"mon_header"=>"Übersicht",
"mon_game"=>"Spiel",
"mon_gamemode"=>"Modus",
"mon_players"=>"Spieler",
"mon_spectators"=>"Zuschauer",
"mon_tracks"=>"Anzahl Strecken",
"mon_trackheader"=>"Streckenname",
"mon_trackcurr"=>"Aktuelle",
"mon_trackenvir"=>"Umgebung",
"mon_trackauthor"=>"Autor",
"mon_tracklaps"=>"Runden",
"mon_trackauthortime"=>"Zeit des Autors",
"mon_trackbesttime"=>"Bestzeit",
"mon_playernum"=>"#",
"mon_playername"=>"Spieler",
"mon_playerbesttime"=>"Bestzeit",
"mon_playerlapsfinished"=>"Vollständige Runden",

// PLAYERLIST
"pl_header"=>"Spielerrangliste",
"pl_lastupdate"=>"Letztes Update",
"pl_totalplayers"=>"Anzahl SPieler",
"pl_totalawards"=>"Anzahl Ehrungen",
"pl_findplayer"=>"Spieler finden:",
"pl_findplayer_btn"=>"FINDEN",
"pl_num"=>"#",
"pl_player"=>"Spieler",
"pl_score"=>"Punkte",
"pl_awards"=>"Ehrungen",

// PLAYERINFO
"pi_header"=>"Spieler",
"pi_rank"=>"Rang",
"pi_authormedals"=>"Autorenmedaillen",
"pi_goldmedals"=>"Goldmedaillen",
"pi_silvermedals"=>"Silbermedaillen",
"pi_bronzemedals"=>"Bronzemedaillen",
"pi_lastonline"=>"Zum letzten Mal online",
"pi_aliases"=>"Aliases",
"pi_num"=>"#",
"pi_track"=>"Strecke",
"pi_besttime"=>"Bestzeit",
"pi_place"=>"Platz",
"pi_award"=>"Ehrung",
"pi_ts"=>"Datum",

// TRACKLIST
"tl_header"=>"Strecken",
"tl_totaltracks"=>"Anzahl Strecken",
"tl_totalauthors"=>"Anzahl Autoren",
"tl_findtrack"=>"Strecke finden:",
"tl_findtrack_btn"=>"FINDEN",
"tl_num"=>"#",
"tl_track"=>"Strecke",
"tl_author"=>"Autor",
"tl_bestresult"=>"Zeit",
"tl_player"=>"Bester Spieler",

// TRACKINFO
"ti_header"=>"Strecken",
"ti_author"=>"Autor",
"ti_timeauthor"=>"Zeit der Autors",
"ti_timegold"=>"Gold Zeit",
"ti_timesilver"=>"Silver Zeit",
"ti_timebronze"=>"Bronze Zeit",
"ti_envir"=>"Umgebung",
"ti_num"=>"#",
"ti_player"=>"Soieler",
"ti_bestresult"=>"Beste Zeit",
"ti_award"=>"Ehrung",
"ti_ts"=>"Datum",

// CLANLIST
"cl_header"=>"Teams",
"cl_num"=>"#",
"cl_clan"=>"Team",
"cl_score"=>"Punkte",

// USERBAR
"ub_header"=>"Userbar",
"ub_forum_and_html_links"=>"BB code für Foren und als HTML link:",

// ERROR
"err_error"=>"Fehler:",
"err_dblib"=>"> PHP muss für Datenbanken aktiviert sein!",
"err_dbconnection"=>"> Keine Verbindung zur Datenbank!",
"err_serversnotfound"=>"> Keine registrierten Server gefunden!",
"err_monitoring"=>"> Server Offline!",
"err_userbarsnotfound"=>"> Keine 'userbar' Dateien gefunden!",
"err_gdnotsupported"=>"> Unbekannte PHP GD Bibliothek!"
);


$tmos_userbar_it = array (

// GD TEXT (only latin)
"ub_gdt_server"=>"Server - ",
"ub_gdt_player"=>"Spieler - ",
"ub_gdt_rank"=>"Rang   - ",
"ub_gdt_score"=>"Punktzahl  - ",
"ub_gdt_badlink_err"=>"Fehler: Defekter 'userbar link'",
"ub_gdt_offline_err"=>"Fehler: keine Verbindung",
"ub_gdt_dbnotfound_err"=>"Fehler: kann db nicht benutzen",
"ub_gdt_sql1_err"=>"Fehler: sql1",
"ub_gdt_sql2_err"=>"Fehler: sql2",
"ub_gdt_sql3_err"=>"Fehler: sql3",
"ub_gdt_sql4_err"=>"Fehler: sql4",
"ub_gdt_servernotfound_err"=>"Fehler: Server nicht gefunden",
"ub_gdt_playernotfounderr"=>"Fehler: Spieler nicht gefunden",
"ub_gdt_ubfile_err"=>"Fehler: 'userbar' Daatei nicht gefunden oder unzulässiges Bild",

// TRUETYPE TEXT (utf8)
"ub_ttt_server"=>"Server",
"ub_ttt_player"=>"Spieler",
"ub_ttt_rank"=>"Rang",
"ub_ttt_score"=>"Punktzahl",
"ub_ttt_separator"=>"  -  ",
);

?>
