<?php
// US_ENG language

$tmos_admin_it = array(

// MENU
"mnu_cfg"=>"TM Offline Stats",
"mnu_general"=>"General Settings",
"mnu_database"=>"Database",
"mnu_databaseupdate"=>"Structure update",
"mnu_regservers"=>"Servers Registry",
"mnu_regserversadd"=>"Add New Server",
"mnu_regserversedit"=>"Edit Server Information",
"mnu_msf"=>"Matchsettings File",
"mnu_choosetrack"=>"Track Selection",
"mnu_check"=>"Check Config",
"mnu_servers"=>"Servers",
"mnu_nullservers"=>"(not registered)",


// AUTORIZE
"az_authorize_header"=>"Authorization",
"az_login_btn"=>"LOGIN",
"az_status_1"=>"Incorrect Password!",

// GENERAL SETTINGS
// - Headers
"gs_db_header"=>"Database",
"gs_interface_header"=>"Interface",
"gs_parsing_header"=>"Calculate Statistics",
"gs_userbars_header"=>"Userbars",
"gs_admin_header"=>"Administrator Password",
"gs_action_header"=>"Actions",
// - DB
"gs_dbhost"=>"Database host",
"gs_dbtype"=>"Type of database",
"gs_dblogin"=>"Database login",
"gs_dbpassword"=>"Database password",
"gs_dbname"=>"Database name",
"gs_dbhost_desc"=>"IP address of server containing the database. Examples:<br>* 192.168.40.111<br>* localhost",
"gs_dbtype_desc"=>"Type of database for storing statistics",
"gs_dblogin_desc"=>"Database user must have sufficient privileges to create and edit tables",
"gs_dbpassword_desc"=>"Database user password",
"gs_dbname_desc"=>"Database must be created beforehand. This can be made, for example, with phpMyAdmin or MySQLAdministrator",
// - Interface
"gs_language"=>"Interface language",
"gs_colorscheme"=>"Color scheme",
"gs_recperpage"=>"Records per page",
"gs_javascript"=>"JavaScript",
"gs_servertimeout"=>"Server timeout",
"gs_defaultstats"=>"Statistics default",
"gs_defaultstats_choice_1"=>"All-time",
"gs_defaultstats_choice_2"=>"Last x days",
"gs_showoneserver"=>"Single server",
"gs_showclans"=>"Team tab",
"gs_showuserbars"=>"Userbar button",
"gs_playerminscore"=>"Minimum player score",
"gs_htmlcache"=>"Cache HTML",
"gs_htmlcache_choice_1"=>"Main pages",
"gs_htmlcache_choice_2"=>"All pages",
"gs_htmlcache_choice_3"=>"Forbidden",
"gs_gzipcompress"=>"gZIP Compression",
"gs_language_desc"=>"Language selection for statistics pages, administrator panel and userbars",
"gs_colorscheme_desc"=>"Stylesheets for statistics pages",
"gs_recperpage_desc"=>"The maximum quantity of records shown on one page. Remaining records are transferred to subsequent pages",
"gs_javascript_desc"=>"JavaScript is used for the highlighting of table rows under the mouse cursor for convenient browsing",
"gs_servertimeout_desc"=>"If there is no answer from the game server in this time interval (in secs.), the server is marked as offline",
"gs_defaultstats_desc"=>"The default statistics mode upon opening a new web page",
"gs_showoneserver_desc"=>"(Don't) show 'Servers' tab ( f.e. if there is only one registered server)",
"gs_showclans_desc"=>"(Don't) show 'Teams' tab in the statistics",
"gs_showuserbars_desc"=>"(Don't) show button 'Userbar' in the personal statistics of the player",
"gs_playerminscore_desc"=>"Players with fewer results than this value will not be shown",
"gs_htmlcache_desc"=>"Accelerate HTML pages through the caching of PHP scripts",
"gs_gzipcompress_desc"=>"Compress HTML pages before sending to user (useful to decrease web traffic)",
// - Parsing
"gs_timeperiod"=>"Time period",
"gs_timeperiod_desc"=>"Current statistics are calculated for this time interval (days)",
"gs_maxtrackscore"=>"Maximum records", // don't use in v0.62
"gs_maxtrackscore_desc"=>"Amount of players within the top results", // don't use in v0.62
"gs_minclansize"=>"Team size",
"gs_minclansize_desc"=>"Minimum number of player that form a team",
"gs_medalsscore"=>"Points for medals",
"gs_medalsscore_desc"=>"Points awarded for obtaining author/gold/silver/bronze medal and completion of track",
// - Userbars
"gs_ubfont"=>"Font",
"gs_ubfont_desc"=>"The filename of the font which will be used to write the text on userbars. Font file must be located in the folder '/.gfx '. For the correct mapping of text, font must be unicode and contain all 65000 symbols (Arial Unicode MS recommended)",
"gs_ubfontsizen"=>"Font size n",
"gs_ubfontsizen_desc"=>"Size of the font on the small userbars (350x20 pixels)",
"gs_ubfontsizeb"=>"Font size b",
"gs_ubfontsizeb_desc"=>"Size of the font on the large userbars (350x50 pixels)",
// - Admin
"gs_adminpassword"=>"Administrator Password",
"gs_adminpassword_desc"=>"TMOS Administrator password",
// - Action
"gs_savecfg_btn"=>"SAVE",
"gs_savecfg_desc"=>"Save settings changes on this page",
// - Errors
"gs_errorprefix"=>"Error: ",
"gs_doublequotes_err"=>"Do not use dual quotation marks",
"gs_recperpage_err"=>"The parameter 'Records per page' must be an integer >= 10",
"gs_servertimeout_err"=>"The parameter 'Server timeout' must be an integer > 0",
"gs_minscore_err"=>"The parameter 'Minimum player score' must be an integer >= 0",
"gs_timeperiod_err"=>"The parameter 'Time period' must be an integer > 0",
"gs_maxtrackscore_err"=>"The parameter 'Maximum records' must be an integer >= 1", // don't use in v0.62
"gs_minclansize_err"=>"The parameter 'Team size' must be an integer >= 2",
"gs_medalsscore_err"=>"Parameters 'Points for medals' must all be an integer >= 0",
"gs_fontsize_err"=>"The parameter 'Font size' must be an integer >= 1",
// - Operation results
"gs_status_1"=>"Settings saved",
"gs_status_2"=>"Settings could not be saved. Check that the file 'tmos_options.php' has write permissions",

// DATABASE
// - Headers
"db_status_header"=>"Database Status",
"db_table_header"=>"Table",
"db_tablestate_header"=>"State",
"db_tablerecords_header"=>"Records",
"db_action_header"=>"Actions",
"db_updateinfo_header"=>"Information",
"db_updateoptions_header"=>"Options",
// - DB
"db_dbok"=>"Ok",
"db_dberr"=>"Database not supported by PHP",
// - Tables
"db_tableerr"=>"Incorrect format",
"db_tableok"=>"Ok",
"db_tablenotfound"=>"Not found",
// - Update
"db_updateinfo_text"=>"* Will update database structure <b>{0} => {1}</b>.<br>* For /lan servers, all players with nicknames that only differ in their colors or register with characters like &sect;00fnickname, &sect;w&sect;inick&sect;0f0na&sect;zme, NiCkNaMe will be merged.<br>* A backup of the database is recommended beforehand!.<br>* After the update, parse the logs for the correct display of the statistics.",
"db_tracksdirs"=>"Directories with tracks",
"db_tracksdirs_desc"=>"Directories with '.gbx' track files. Several directories can be specified by ';' to separate them. Examples: <br>* c:\\tmn\\GameData\\Tracks<br>* /usr/home/myaccount/tmn/GameData/Tracks<br>* &lt;dir1&gt;/Tracks;&lt;dir2&gt;/Tracks;&lt;dir3&gt;/Tracks",
"db_ignoreerrors_desc"=>"Ignore the missing tracks. <b>The results of all players on the tracks that were not found will be lost!</b>",
"db_tracks_err"=>"Some track files were not found. Copy missing files in specified \"Directories with tracks\" or add new path with ';'. Try again to update structure of tables by pressing \"Update\" button<p>",

"db_updatenotsupport_err"=>"Update from these versions is not supported",
// - Action
"db_updatedb_btn"=>"UPDATE",
"db_createtables_btn"=>"CREATE",
"db_droptables_btn"=>"DROP",
"db_resetdb_btn"=>"RESET",
"db_cleardb_btn"=>"CLEAR",
"db_cancel_btn"=>"CANCEL",
"db_updatedb_desc"=>"Update the format of the TMOS database tables from earlier versions of TMOS (all data will be retained)",
"db_createtables_desc"=>"Create the TMOS tables in database",
"db_droptables_desc"=>"Remove the TMOS tables from database",
"db_resetdb_desc"=>"Remove all records except for the active servers",
"db_cleardb_desc"=>"Remove all records",
"db_cancel_desc"=>"Don't execute the update",
// - Errors
"db_errorprefix"=>"Error: ",
// - Operation results
"db_status_1"=>"Modification of the database completed successfully",

// SERVERS
// - Headers
"srv_status_header"=>"Database status",
"srv_servers_header"=>"Servers",
"srv_newserver_header"=>"Set up new server",
"srv_action_header"=>"Actions",
"srv_currserver_header"=>"Server",
// - Servers
"srv_ip"=>"IP address",
"srv_server"=>"Server name",
"srv_id"=>"Server ID",
"srv_game"=>"Game",
"srv_login"=>"Server admin login",
"srv_password"=>"Server admin password",
"srv_logfiles"=>"Log files",
"srv_tracks"=>"Tracks directories",
"srv_ip_desc"=>"Server remote control port settings 'ip:xmlrpcport'. Examples:<br>* 192.168.40.111:5000<br>* localhost:5001",
"srv_server_desc"=>"Shown in headings of tables and on userbars of statistics",
"srv_game_desc"=>"Pictures and userbars displayed in statistics according to this setting",
"srv_login_desc"=>"Must coincide with SuperAdmin in dedicated.cfg file",
"srv_password_desc"=>"",
"srv_logfiles_desc"=>"Trackmania server log files ('./Logs' server directory). Several logs can be specified by using ';' to separate them. Examples:<br>* c:\\tmn\\Logs\\GameLog..txt<br>* /usr/home/myaccount/tmn/Logs/GameLog..txt<br>* &lt;dir&gt;\GameLog.1.txt;&lt;dir&gt;\GameLog.2.txt;&lt;dir&gt;\GameLog.3.txt",
"srv_tracks_desc"=>"Directories with '.gbx' track files. Several directories can be specified by using ';' to separate them. Examples:<br>* c:\\tmn\\GameData\\Tracks<br>* /usr/home/myaccount/tmn/GameData/Tracks<br>* &lt;dir1&gt;/Tracks;&lt;dir2&gt;/Tracks;&lt;dir3&gt;/Tracks",
// - Action
"srv_addserver_btn"=>"ADD",
"srv_deleteservers_btn"=>"DELETE",
"srv_modifyservers_btn"=>"MODIFY",
"srv_cancel_btn"=>"CANCEL",
"srv_addserver_desc"=>"Register new server",
"srv_deleteservers_desc"=>"Delete selected servers",
"srv_modifyservers_desc"=>"Change data for selected servers",
"srv_cancel_desc"=>"Cancel changes",
// - Errors
"srv_errorprefix"=>"Error: ",
"srv_doublequotes_err"=>"Do not use dual quotation marks",
// - Operation results
"srv_status_1"=>"Operation cancelled",
"srv_status_2"=>"Operation completed successfully",
"srv_status_3"=>"No servers selected",

// CHECK
// - Headers
"chk_php_header"=>"PHP",
"chk_db_header"=>"Database",
"chk_tables_header"=>"Tables",
"chk_servers_header"=>"Servers",
// - Inf
"chk_phpver"=>"Version",
"chk_phpxml"=>"XML",
"chk_phpmysql"=>"MySQL",
"chk_phpgd"=>"GD",
"chk_phptt"=>"FreeType",
"chk_phpttfont"=>"TrueType Font",
"chk_phpcache"=>"Cache",
"chk_zlib"=>"ZLib",
"chk_metime"=>"max_execution_time",
"chk_allowurl"=>"allow_url_fopen",
"chk_dbtype"=>"Database type",
"chk_dbconnect"=>"Connection",
"chk_dbver"=>"Version",
"chk_logfiles"=>"Log files",
"chk_tracks"=>"Tracks directories",
"chk_phpver_desc"=>"PHP version must be 4.4.0 or above",
"chk_phpxml_desc"=>"XML support",
"chk_phpmysql_desc"=>"MySQL support",
"chk_phpgd_desc"=>"GD libraries must be installed to use userbars",
"chk_phptt_desc"=>"Freetype libraries must be installed to use Truetype fonts in userbars",
"chk_phpttfont_desc"=>"Truetype font file used to draw text in userbars",
"chk_phpcache_desc"=>"Test writing of cache file",
"chk_zlib_desc"=>"ZLib libraries must be installed to support compression of web pages",
"chk_metime_desc"=>"Maximum PHP script exectution time. If PHP safe mode is enabled (SM = On) scripts cannot alter this variable and it must be changed by hand",
"chk_allowurl_desc"=>"If this option is off, scripts cannot process files via FTP:// or file://",
"chk_dbtype_desc"=>"",
"chk_dbconnect_desc"=>"Database accessibility",
"chk_dbver_desc"=>"Database version must be 4.1.0 or above",
// - Check results
"chk_statusok"=>"Ok",
"chk_statusfailed"=>"Error",
"chk_srvonline"=>"Online",
"chk_srvoffline"=>"Offline",

// CURRENT SERVER
// - Headers
"cs_inf_header"=>"Information",
"cs_parsing_header"=>"Log files parsing",
"cs_action_header"=>"Actions",
"cs_msf_header"=>"Matchsettings file / Tracks",
// - Inf
"cs_status"=>"Status",
"cs_players"=>"Players",
"cs_totaltracks"=>"Number of tracks",
"cs_currtrack"=>"Current track",
// - Parsing
"cs_parselast"=>"Last parse",
"cs_logfiles"=>"Log files",
// - Tracks
"cs_tracks"=>"Tracks directories",
// - Action
"cs_refresh_btn"=>"REFRESH",
"cs_parse_btn"=>"PARSE",
"cs_createmsf_btn"=>"MSF",
"cs_restarttrack_btn"=>"RESTART",
"cs_nexttrack_btn"=>"NEXT",
"cs_choosetrack_btn"=>"CHOOSE",
"cs_refresh_desc"=>"Refresh server information",
"cs_restarttrack_desc"=>"Restart the current track",
"cs_nexttrack_desc"=>"Send server to the next track",
"cs_choosetrack_desc"=>"Choose and change to one of challenges in the playlist",
"cs_parse_desc"=>"Parse log file and write results to database",
"cs_createmsf_desc"=>"Create new matchsettings file",
// - Errors
"cs_errorprefix"=>"Error: ",
"cs_badip_err"=>"Incorrect IP address",
"cs_serveroffline_err"=>"Server offline",
"cs_authenticate_err"=>"Incorrect username / password",
"cs_unknown_err"=>"Unknown error",
"cs_msfwrite_err"=>"Error. Possible causes:</b><br>* not enough rights<br>* directory doesn't exist<br>* filename contains illegal characters ('*', '?' ...)",
"cs_msftracks_err"=>"No tracks selected",
"cs_msfrestartserver_err"=>"Could not restart server",
"cs_choosetrack_err"=>"No track selected",
"cs_servers_err"=>"Server(s) not found",
"cs_skipped_err"=>"Skipped",
"cs_tracks_err"=>"Tracks directory not found",
"cs_logfilenotfound_err"=>"Log file not found",
"cs_logfilenotreadable_err"=>"Log file not readable",
"cs_logfilecantopen_err"=>"Cannot open log file",
// - Operation results
"cs_status_1"=>"Ok",
"cs_status_2"=>"Matchsettings file saved",
"cs_status_3"=>"Server restarted",
"cs_status_4"=>"Failure",

// MSF
// - Headers
"msf_parameter_header"=>"Parameter",
"msf_value_header"=>"Value",
"msf_chechbox_header"=>"Select",
"msf_trackname_header"=>"Track Name",
"msf_trackauthor_header"=>"Author",
"msf_trackuid_header"=>"UID",
"msf_ml_header"=>"ML",
"msf_envir_header"=>"Envir.",
"msf_version_header"=>"TM",
"msf_msfilename_header"=>"Matchsettings file",
"msf_action_header"=>"Actions",
// - Options
"msf_gamemode"=>"Game Mode",
"msf_chattime"=>"Chat time (msec)",
"msf_roundspointslimit"=>"Points limit for 'Rounds' mode",
"msf_roundsusenewrules"=>"Use new rules for 'Rounds' mode",
"msf_timeattacklimit"=>"Time limit for 'TimeAttack' mode (msec)",
"msf_teampointslimit"=>"Points limit for 'Team' mode",
"msf_teammaxpoints"=>"Maximumum team points for 'Team' mode",
"msf_teamusenewrules"=>"Use new rules for 'Team' mode",
"msf_laps_nblaps"=>"Force number of laps for 'Laps' mode",
"msf_lapstimelimit"=>"Time limit for 'Laps' mode (msec)",
"msf_randommaporder"=>"Randomize the playlist",
// - Action
"msf_chkall"=>"Select all",
"msf_chkalpine"=>"Alpine",
"msf_chkbay"=>"Bay",
"msf_chkcoast"=>"Coast",
"msf_chkisland"=>"Island",
"msf_chkrally"=>"Rally",
"msf_chkspeed"=>"Speed",
"msf_chkstadium"=>"Stadium",
"msf_chknull"=>"Remove all",
"msf_savetofile_btn"=>"SAVE",
"msf_srvrestart_desc"=>"Restart server with new settings. Warning: all track files and matchsettingsfile.txt file must be in ...\\GameData\\Tracks\ dir or subdirs!",
"msf_savetofile_desc"=>"Save settings to file",
"msf_csave"=>"Save to file",

// CHOOSE TRACK
"chtr_radio_header"=>"Select",
"chtr_track_header"=>"Track Name",
"chtr_envir_header"=>"Envir.",
"chtr_length_header"=>"Length",
"chtr_choosetrack_btn"=>"CHOOSE",
"chtr_action_header"=>"Actions",
);


$tmos_viewer_it = array(

// MENU
"mnu_servers"=>"Servers",
"mnu_monitoring"=>"Monitoring",
"mnu_playerlist"=>"Player Ranking",
"mnu_tracklist"=>"Tracks",
"mnu_clanlist"=>"Teams",
"mnu_pages"=>"Pages: ",

// SERVERLIST
"sl_header"=>"Servers",
"sl_online"=>"Online",
"sl_offline"=>"Offline",

// TABS
"tab_lastxdays"=>"Last {0} Days",
"tab_alltime"=>"All Time",
"tab_dateseparator"=>" / ",
"tab_statsupdate"=>"(Updating statistics)",

// MONITORING
"mon_header"=>"Monitoring",
"mon_game"=>"Game",
"mon_gamemode"=>"Mode",
"mon_players"=>"Players",
"mon_spectators"=>"Spectators",
"mon_tracks"=>"Total Tracks",
"mon_trackheader"=>"Track Name",
"mon_trackcurr"=>"Current",
"mon_trackenvir"=>"Environment",
"mon_trackauthor"=>"Author",
"mon_tracklaps"=>"Laps",
"mon_trackauthortime"=>"Author Time",
"mon_trackbesttime"=>"Best Time",
"mon_playernum"=>"#",
"mon_playername"=>"Player",
"mon_playerbesttime"=>"Best Time",
"mon_playerlapsfinished"=>"Laps Completed",

// PLAYERLIST
"pl_header"=>"Players Ranking",
"pl_lastupdate"=>"Last Update",
"pl_totalplayers"=>"Total Players",
"pl_totalawards"=>"Total Awards",
"pl_findplayer"=>"Find Player:",
"pl_findplayer_btn"=>"FIND",
"pl_num"=>"#",
"pl_player"=>"Player",
"pl_score"=>"Points",
"pl_awards"=>"Awards",

// PLAYERINFO
"pi_header"=>"Player",
"pi_rank"=>"Rank",
"pi_authormedals"=>"Author Medals",
"pi_goldmedals"=>"Gold Medals",
"pi_silvermedals"=>"Silver Medals",
"pi_bronzemedals"=>"Bronze Medals",
"pi_lastonline"=>"Last Online",
"pi_aliases"=>"Aliases",
"pi_num"=>"#",
"pi_track"=>"Track",
"pi_besttime"=>"Best Time",
"pi_place"=>"Place",
"pi_award"=>"Award",
"pi_ts"=>"Date",

// TRACKLIST
"tl_header"=>"Tracks",
"tl_totaltracks"=>"Total Tracks",
"tl_totalauthors"=>"Total Authors",
"tl_findtrack"=>"Find Track:",
"tl_findtrack_btn"=>"FIND",
"tl_num"=>"#",
"tl_track"=>"Track",
"tl_author"=>"Author",
"tl_bestresult"=>"Time",
"tl_player"=>"Best Player",

// TRACKINFO
"ti_header"=>"Tracks",
"ti_author"=>"Author",
"ti_timeauthor"=>"Author Time",
"ti_timegold"=>"Gold Time",
"ti_timesilver"=>"Silver Time",
"ti_timebronze"=>"Bronze Time",
"ti_envir"=>"Environment",
"ti_num"=>"#",
"ti_player"=>"Player",
"ti_bestresult"=>"Best Time",
"ti_award"=>"Award",
"ti_ts"=>"Date",

// CLANLIST
"cl_header"=>"Teams",
"cl_num"=>"#",
"cl_clan"=>"Team",
"cl_score"=>"Points",

// USERBAR
"ub_header"=>"Userbar",
"ub_forum_and_html_links"=>"BB code for forums, and link to HTML:",

// ERROR
"err_error"=>"Error:",
"err_dblib"=>"> PHP must be enabled for databases!",
"err_dbconnection"=>"> Unable to connect to database!",
"err_serversnotfound"=>"> No registered servers found!",
"err_monitoring"=>"> Server Offline!",
"err_userbarsnotfound"=>"> No userbar files found!",
"err_gdnotsupported"=>"> Unknown PHP GD library!"
);


$tmos_userbar_it = array (

// GD TEXT (only latin)
"ub_gdt_server"=>"Server - ",
"ub_gdt_player"=>"Player - ",
"ub_gdt_rank"=>"Rank   - ",
"ub_gdt_score"=>"Score  - ",
"ub_gdt_badlink_err"=>"Error: bad userbar link",
"ub_gdt_offline_err"=>"Error: not connected",
"ub_gdt_dbnotfound_err"=>"Error: can't use db",
"ub_gdt_sql1_err"=>"Error: sql1",
"ub_gdt_sql2_err"=>"Error: sql2",
"ub_gdt_sql3_err"=>"Error: sql3",
"ub_gdt_sql4_err"=>"Error: sql4",
"ub_gdt_servernotfound_err"=>"Error: server not found",
"ub_gdt_playernotfounderr"=>"Error: player not found",
"ub_gdt_ubfile_err"=>"Error: userbar file not found or not valid picture",

// TRUETYPE TEXT (utf8)
"ub_ttt_server"=>"Server",
"ub_ttt_player"=>"Player",
"ub_ttt_rank"=>"Rank",
"ub_ttt_score"=>"Score",
"ub_ttt_separator"=>"  -  ",
);

?>
