<?php
/*
   TM Offline Stats v0.62a
   Copyright (c) 2006 Alexander Domnin

   This program is licenced under the Creative Commons Attribution-NonCommercial-NoDerivs 2.5
   To view a copy of this licence, visit http://creativecommons.org/licenses/by-nc-nd/2.5/

   This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
   without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
*/
// preprocess
error_reporting(E_ALL);
if (isset($_SERVER['SCRIPT_FILENAME'])) chdir(dirname($_SERVER['SCRIPT_FILENAME']));
require_once("./include/tmos_lib.inc.php");
@set_time_limit(0); // unlim

// delcache
cache_dir_clear();

// parse
$start_array = explode(" ", microtime());
$start_time = $start_array[1] + $start_array[0];

$obj = new Ttmos_LogParser();
$status = $obj->GoGoGo("all");
$end_array = explode(" ", microtime());
$end_time = $end_array[1] + $end_array[0];

if (count($status) == 0) {
   echo "Error: Registered servers not found!";
}
else {
   foreach ($status as $sname=>$sinf) {
      if ($sinf['skipped']) {
         echo "<br>$sname\r\n<br> - Skipped\r\n";
         continue;
      }
      for ($j = 0; $j < $sinf['logscount']; $j++) {
         switch ($sinf[$j]['status']) {
         case  0:
            echo "<br>$sname => {$sinf[$j]['logfile']}\r\n<br> - Ok\r\n"; 
            break;
         case -1:
            echo "<br>$sname => {$sinf[$j]['logfile']}\r\n<br> - Error: Tracks dir not found!\r\n"; 
            break;
         case -2:
            echo "<br>$sname => {$sinf[$j]['logfile']}\r\n<br> - Error: Logfile not found!\r\n"; 
            break;
         case -3:
            echo "<br>$sname => {$sinf[$j]['logfile']}\r\n<br> - Error: Logfile not readable!\r\n"; 
            break;
         case -4:
            echo "<br>$sname => {$sinf[$j]['logfile']}\r\n<br> - Error: Can't open logfile!\r\n"; 
            break;
         }
      }
   }
   printf("<br>Processed in %f s", $end_time - $start_time);
}

?>